unit fuQExportDialogDemo;

interface

uses
  Forms, DBTables, ComCtrls, StdCtrls,
  Classes, Controls, ExtCtrls, SysUtils, IB_QExport, Dialogs, IB_QExportDialog,
  IB_Grid, IB_Components, Grids;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    PageControl1: TPageControl;
    tshDataSet: TTabSheet;
    tshListView: TTabSheet;
    tshDBGrid: TTabSheet;
    ListView1: TListView;
    tshStringGrid: TTabSheet;
    StringGrid1: TStringGrid;
    IB_Connection1: TIB_Connection;
    IB_Query1: TIB_Query;
    IB_DataSource1: TIB_DataSource;
    DBGrid1: TIB_Grid;
    DBGrid2: TIB_Grid;
    IB_QExportDialog1: TIB_QExportDialog;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    procedure FillListView;
    procedure FillStringGrid;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
  DataArray: array[0..4, 0..4] of string =
    (('1', 'ALEX', '01.05.1974', '270.36', 'true'),
     ('2', 'MARIA', '14.03.1977', '199.95', 'false'),
     ('3', 'MARK', '15.06.1976', '154.55', 'true'),
     ('4', 'JOHN', '22.08.1979', '400.12', 'true'),
     ('5', 'HELEN', '09.08.1974', '414.63', 'false'));

procedure TForm1.FormCreate(Sender: TObject);
var
  Path : string;
begin
  FillListView;
  FillStringGrid;

  Path := ExtractFilePath(Application.ExeName);
  IB_Connection1.Path := Path + '..\' + 'Data\' + 'country.gdb';
  IB_Connection1.Username := 'SYSDBA';
  IB_Connection1.Password := 'masterkey';
  IB_Connection1.Connect;
  IB_Query1.Open;

  IB_QExportDialog1.FileName := Path + 'demo.xls';
  PageControl1.ActivePage := tshDataSet;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  IB_Query1.Close;
  IB_Connection1.Disconnect;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if PageControl1.ActivePage = tshDataSet
    then IB_QExportDialog1.ExportSource := esDataSet
    else if PageControl1.ActivePage = tshDBGrid
         then IB_QExportDialog1.ExportSource := esDBGrid
         else if PageControl1.ActivePage = tshListView
              then IB_QExportDialog1.ExportSource := esListView
              else if PageControl1.ActivePage = tshStringGrid
                   then IB_QExportDialog1.ExportSource := esStringGrid;

  IB_QExportDialog1.Execute;
end;

procedure TForm1.FillListView;
var
  I, J: Integer;
begin
  with ListView1.Items do
    for I := 0 to 4 do
      with Add do begin
        Caption := DataArray[I,0];
        for J := 1 to 4 do
          SubItems.Add(DataArray[I,J]);
      end;
end;

procedure TForm1.FillStringGrid;
var
  I, J: Integer;
begin
  with StringGrid1 do begin
    Cells[0, 0] := 'CODE';
    Cells[1, 0] := 'NAME';
    Cells[2, 0] := 'DATE';
    Cells[3, 0] := 'SALARY';
    Cells[4, 0] := 'IS_MALE';

    for I := 0 to 4 do
      for J := 0 to 4 do
        Cells[J, I + 1] := DataArray[I, J];
  end;
end;

end.
