unit fuQExportXLSDemo;

interface

uses
  Forms, StdCtrls, Grids, Controls, ExtCtrls, Classes, SysUtils, ComCtrls,
  Dialogs, IB_QExport, IB_QExportXLS, IB_Components, IB_Grid,
  DB, DBTables;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    Button1: TButton;
    PageControl1: TPageControl;
    tshDataSet: TTabSheet;
    tshDBGrid: TTabSheet;
    tshListView: TTabSheet;
    tshStringGrid: TTabSheet;
    ListView1: TListView;
    StringGrid1: TStringGrid;
    gbExportedSheets: TGroupBox;
    chDataSet: TCheckBox;
    chDBGrid: TCheckBox;
    chListView: TCheckBox;
    chStringGrid: TCheckBox;
    IB_QExportXLS1: TIB_QExportXLS;
    IB_Connection1: TIB_Connection;
    IB_DataSource1: TIB_DataSource;
    IB_Query1: TIB_Query;
    IB_Grid1: TIB_Grid;
    IB_Grid2: TIB_Grid;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure QExportXLS1GetFooterParams(Sender: TObject; Sheet, Col,
      Row: Integer; Format: TxlsFormat; var S: String);
    procedure FormShow(Sender: TObject);
    procedure QExportXLS1GetHeaderParams(Sender: TObject; Sheet, Col,
      Row: Integer; Format: TxlsFormat; var S: String);
    procedure QExportXLS1GetDataParams(Sender: TObject; Sheet, Col,
      Row: Integer; Format: TxlsFormat; var FormatText: String);
  private
    FFlag: boolean;
    procedure FillListViewAndStringGrid;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  Path: string;
begin
  IB_QExportXLS1.FileName := Path + 'demo.xls';
  FFlag := false;

  Path := ExtractFilePath(Application.ExeName);
  IB_Connection1.Path := Path + {'..\' +} 'Data\' + 'country.gdb';
  IB_Connection1.Username := 'SYSDBA';
  IB_Connection1.Password := 'masterkey';
  IB_Connection1.Connect;
  IB_Query1.Open;

  FillListViewAndStringGrid;
  chDataSet.Checked := IB_QExportXLS1.Sheets[0].Exported;
  chDbGrid.Checked := IB_QExportXLS1.Sheets[1].Exported;
  chListView.Checked := IB_QExportXLS1.Sheets[2].Exported;
  chStringGrid.Checked := IB_QExportXLS1.Sheets[3].Exported;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  IB_Query1.Close;
  IB_Connection1.Disconnect;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  IB_QExportXLS1.Sheets[0].Exported := chDataSet.Checked;
  IB_QExportXLS1.Sheets[1].Exported := chDBGrid.Checked;
  IB_QExportXLS1.Sheets[2].Exported := chListView.Checked;
  IB_QExportXLS1.Sheets[3].Exported := chStringGrid.Checked;
  IB_QExportXLS1.Execute;
end;

procedure TForm1.QExportXLS1GetFooterParams(Sender: TObject; Sheet, Col,
  Row: Integer; Format: TxlsFormat; var S: String);
begin
  if Pos('EMS', S) > 0 then begin
    Format.Font.Size := 14;
    Format.Font.Color := clrOrange;
    Format.Font.Name := 'Arial Black';
    Format.Font.Style := Format.Font.Style + [xfsBold];
  end
  else begin
    Format.Font.Size := 12;
    Format.Font.Color := clrBlack;
    Format.Font.Name := 'Arial';
    Format.Font.Style := Format.Font.Style + [xfsBold];
  end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  PageControl1.ActivePage := tshDataSet;
end;

procedure TForm1.FillListViewAndStringGrid;
var
  i, j: integer;
begin
  try
    ListView1.Items.BeginUpdate;
    try
      ListView1.Items.Clear;
      i := 1;
      StringGrid1.Cells[0,0] := 'Name';
      StringGrid1.Cells[1,0] := 'Capital';
      StringGrid1.Cells[2,0] := 'Continent';
      StringGrid1.Cells[3,0] := 'Area';
      StringGrid1.Cells[4,0] := 'Population';
      IB_Query1.First;
      while not IB_Grid1.DataSource.Dataset.Eof do begin
       for j:=0 to IB_Grid1.GridFieldCount-1 do begin
         StringGrid1.Cells[j,i] :=IB_Query1.FieldByName(StringGrid1.Cells[j,0]).AsString;
       end;
       IB_Query1.MoveBy(1);
       inc(i);
      end;
//      i:=0;
      IB_Query1.First;
      while not IB_Grid1.DataSource.Dataset.Eof do
       begin
        with ListView1.Items.Add do begin
          Caption := IB_Query1.FieldByName('NAME').AsString;
          SubItems.Add(IB_Query1.FieldByName('CAPITAL').AsString);
          SubItems.Add(IB_Query1.FieldByName('CONTINENT').AsString);
          SubItems.Add(IB_Query1.FieldByName('AREA').AsString);
          SubItems.Add(IB_Query1.FieldByName('POPULATION').AsString);
        end;
        IB_Query1.MoveBy(1);
       // Inc(i);
      end;
      IB_Query1.First;
    finally
      ListView1.Items.EndUpdate;
    end;
  finally
  end;
end;

procedure TForm1.QExportXLS1GetHeaderParams(Sender: TObject; Sheet, Col,
  Row: Integer; Format: TxlsFormat; var S: String);
begin
  if Pos('www', S) > 0 then begin
    Format.Font.Color := clrBlue;
    Format.Font.Underline := fulSingle;
    Format.Alignment.Horizontal := halLeft;
  end
  else if Pos('Welcome', S) > 0 then begin
    Format.Alignment.Horizontal := halRight;
  end else begin
    Format.Font.Color := clrBlack;
    Format.Font.Underline := fulNone;
    Format.Alignment.Horizontal := halLeft;
  end;
end;

procedure TForm1.QExportXLS1GetDataParams(Sender: TObject; Sheet, Col,
  Row: Integer; Format: TxlsFormat; var FormatText: String);
begin
  if Sheet = 3 then begin
    if Col = 0 then
      FFlag := AnsiCompareText(StringGrid1.Cells[2, Row - 3], 'South America') = 0;
    if FFlag then begin
      Format.Fill.Background := clrGold;
      Format.Fill.Pattern := ptSolid;
    end
    else begin
      Format.Fill.Background := clrPaleBlue;
      Format.Fill.Pattern := ptSolid;
    end;
  end;
end;

end.
