unit QExportConsts;

interface

resourcestring
  {$IFDEF WIN32}
  SMSExcelFilter = 'Microsoft Excel soubory (*.xls)|*.xls';
  SMSAccessFilter = 'Microsoft Access soubory (*.mdb)|*.mdb'; // since 2.6
  SMSWordFilter  = 'Microsoft Word soubory (*.doc)|*.doc';
  SRTFFilter     = 'RTF soubory (*.rtf)|*.rtf';
  SHTMLFilter    = 'HTML soubory (*.html, *.htm)|*.html;*.htm';
  SPDFFilter     = 'PDF dokumenty (*pdf)|*.pdf'; // since 2.7
  STextFilter    = 'Textov soubory (*.txt)|*.txt';
  SXMLFilter     = 'XML soubory (*.xml)|*.xml';
  SCSVFilter     = 'CSV soubory (*.csv)|*.csv';
  SDIFFFilter    = 'DIF soubory (*.dif)|*.dif';
  SSYLKFilter    = 'SYLK soubory (*.slk)|*.slk';
  SLaTeXFilter   = 'LaTeX soubory (*.tex)|*.tex';
  SSQLFilter     = 'SQL soubory (*.sql)|*.sql';
  SDBFFilter     = 'DBF soubory (*.dbf)|*.dbf';
  {$ENDIF}
  {$IFDEF LINUX}
  SMSExcelFilter = 'Microsoft Excel soubory (*.xls)';
  SMSWordFilter  = 'Microsoft Word soubory (*.doc)';
  SRTFFilter     = 'RTF soubory (*.rtf)';
  SHTMLFilter    = 'HTML soubory (*.html;*.htm)';
  SPDFFilter     = 'PDF dokumenty (*pdf)'; // since 2.7
  STextFilter    = 'Textov soubory (*.txt)';
  SXMLFilter     = 'XML soubory (*.xml)';
  SCSVFilter     = 'CSV soubory (*.csv)';
  SDIFFFilter    = 'DIF soubory (*.dif)';
  SSYLKFilter    = 'SYLK soubory (*.slk)';
  SLaTeXFilter   = 'LaTeX soubory (*.tex)';
  SSQLFilter     = 'SQL soubory (*.sql)';
  SDBFFilter     = 'DBF soubory (*.dbf)';
  {$ENDIF}

  QEM_ExportSourceNotAssigned = 'Nen vybrn zdroj exportu (%s)';
  QEM_ExportSourceNotActive = 'Zdroj exportu (%s) je zaven';
  QEM_ExportSourceEmpty = 'Zdroj exportu (%s) je przdn';
  QEM_AllowedExportsEmpty = 'Vlastnost Povoleno nesm bt przdn';
  QEM_StopExportCaption = 'Jste si jist?';
  QEM_StopExportConfirm = 'Chcete peruit export?';
  QEM_NewFormatValue = 'Nov formt';
  QEM_EnterValue     = 'Vlo hodnotu:';
  QEM_DefineSheetError = 'Hrek %s definovn s chybou: %s'; //since 2.6
  QEM_FileNotPresent = 'Chyb jmno vslednho souboru'; //since 2.6
  QEM_ExportAccessOleError = 'Je nutno nainstalovat a registrovat aplikaci MS Access'; //since 2.6

  QEPF_Letter         = 'Letter'; // since 2.71
  QEPF_Legal          = 'Legal'; // since 2.71
  QEPF_A3             = 'A3'; // since 2.71
  QEPF_A4             = 'A4'; // since 2.71
  QEPF_A5             = 'A5'; // since 2.71
  QEPF_B5_JIS         = 'B5(JIS)'; // since 2.71
  QEPF_US_Std_Fanfold = 'US Std Fanfold'; // since 2.71
  QEPF_Fanfold        = 'Fanfold'; // since 2.71
  QEPF_User           = 'User'; // since 2.71

  QEUN_Inch       = 'Inches'; // since 2.71
  QEUN_Millimeter = 'Millimeters'; // since 2.71
  QEUN_Dot        = 'Dots'; // since 2.71

  QEPO_Portrait = 'Portrt'; // since 2.71
  QEPO_Landscape = 'Krajinka'; // since 2.71

  QED_Title = 'Exportovn';
  QED_AdvancedTitle = 'Exportovn -- Export do [%s]';
  QED_CloseButtonCaption = 'Zavt';
  QED_ExportTitle = 'Exportuji...';
  QED_CancelButtonCaption = '&Zruit';
  QED_FileName = 'Clov soubor';
  QED_SelectFile = 'Vyberte...';
  QED_OpenAfterExport = 'Otevt soubor po exportu';
  QED_PrintAfterExport = 'Tisknout soubor po exportu';

  // Export Type
  QED_ExportType_Title = '&Typ exportu';
  QED_ExportType_Formats = ' &Formt';
  QED_ExportType_ExportTo = ' Export do ';
  QED_ExportType_XLS = 'MS Excel';
  QED_ExportType_Access = 'MS Access'; // since 2.6
  QED_ExportType_DOC = 'MS Word';
  QED_ExportType_RTF = 'RTF';
  QED_ExportType_HTML = 'HTML';
  QED_ExportType_PDF = 'PDF'; // since 2.7
  QED_ExportType_TXT = 'Textov sbor';
  QED_ExportType_XML = 'XML';
  QED_ExportType_DBF = 'DBF';
  QED_ExportType_CSV = 'CSV sbor';
  QED_ExportType_DIFF = 'DIF sbor';
  QED_ExportType_SYLK = 'SYLK sbor';
  QED_ExportType_LaTeX = 'LaTeX';
  QED_ExportType_SQL = 'SQL';
  QED_ExportType_Clipboard = 'Schrnka Windows';

  QED_ExportType_Options = '&Monosti';
  QED_ExportType_Constraints = ' Omezen ';
  QED_ExportType_Options_GoToFirstRecord = 'Jdi na prvn zznam';
  QED_ExportType_Options_CurrentRecordOnly = 'Jen aktuln zznam'; // since 2.25
  QED_ExportType_Options_ExportEmpty = 'Povol export przdnho zdroje dt'; // since 2.6
  QED_ExportType_ExportAllRecords = 'Exportuj vechno';
  QED_ExportType_Options_ExportRecCount = 'Exportuj jen';
  QED_ExportType_Options_SkipRecCount = 'Mimo';
  QED_ExportType_Options_Records = 'zznam';

  QED_Tools = 'Nstroje'; // since 2.7
  QED_ExportType_Save = 'Ulo nastaven exportu...';
  QED_ExportType_Load = 'ti nastaven exportu...';

  QED_ExportType_Start = 'Start Export';
  QED_ExportType_Close = 'Zavt';

  // Fields
  QED_Fields_Title = 'Pol&e';
  QED_Fields_Available = 'Dostupn pole:';
  QED_Fields_Exported = 'Exportovny pole:';
  QED_Fields_Add = '>';
  QED_Fields_AddAll = '>>';
  QED_Fields_Remove = '<';
  QED_Fields_RemoveAll = '<<';

  // Formats
  QED_Formats_Title = '&Formty';
  QED_Formats_Common = 'Spolen';
  QED_Formats_Integer = 'Celoseln';
  QED_Formats_Float = 'Reln';
  QED_Formats_Date = 'Datum';
  QED_Formats_Time = 'as';
  QED_Formats_DateTime  = 'Datum+as';
  QED_Formats_Currency = 'Mna';
  QED_Formats_BooleanTrue = 'Pravda';
  QED_Formats_BooleanFalse = 'Nepravda';
  QED_Formats_NullString = 'Nulov eezec';
  QED_Formats_User = 'Uivatelsk';
  QED_Formats_Add = 'Pidej';
  QED_Formats_Edit = 'Edituj';
  QED_Formats_Delete = 'Vyma';
  QED_Formats_Clear = 'isti';

  // Header & Footer
  QED_Header_Footer_Title = 'H&lavika a pata';
  QED_Header_Footer_Header = 'Text hlaviky:';
  QED_Header_Footer_Footer = 'Text paty:';

  // Captions
  QED_Captions_AllowCaptions = 'Povol nzvy';
  QED_Captions_Title = '&Nzvy';
  QED_Captions_FeldName = 'Jmno pola';
  QED_Captions_Caption = 'Nzev';
  QED_Captions_Width = 'ka';
  QED_Captions_Align = 'Zarovnn';
  QED_Align_Left = 'Vlevo'; // since 2.25
  QED_Align_Right = 'Vpravo'; // since 2.25
  QED_Align_Center = 'Sted'; // since 2.25
  QED_StringGrid_CaptionRow = 'dek nzv'; //since 2.6

  // Word / RTF
  QED_RTF_Title = 'Word / RTF Monosti';
  QED_RTF_DefaultFont = 'Default font';
  QED_RTF_HeaderFont = 'Font hlaviky dku';
  QED_RTF_PageOrientation = ' Orientace strany ';

  // XML
  QED_XML_Title = 'XML Monosti';
  QED_XML_Standalone = 'Samostatn';
  QED_XML_Encoding = 'Enkdovn';

  // SQL
  QED_SQL_Title = '&SQL Monosti';
  QED_SQL_TableOptions = 'Monosti tabulky';
  QED_SQL_AddCreateTable = 'Pidej "Create Table" pkaz';
  QED_SQL_TableName = 'Jmno tabulky';
  QED_SQL_Commit = 'Commit monosti';
  QED_SQL_CommitAfter_01 = 'Commit po';
  QED_SQL_CommitAfter_02 = 'zznamech';
  QED_SQL_CommitAfterScript = 'Commit po skriptu';
  QED_SQL_CommitStatement = 'Commit pkaz';
  QED_SQL_Other = 'Jin monosti';
  QED_SQL_NullAs = 'Nulov hodnoty jako';
  QED_SQL_StatementTerm = 'Pkaz term';

  // HTML
  QED_HTML_Title = '&HTML Monosti';
  QED_HTML_Preview_Title = '&Nhled';
  QED_HTML_Preview_DefaultText = 'Default text';
  QED_HTML_Preview_NonVisitedLink = 'Nenavtven link';
  QED_HTML_Preview_VisitedLink = 'Navtven link';
  QED_HTML_Preview_ActiveLink = 'Aktivn link';
  QED_HTML_Preview_Template = 'ablona';
  QED_HTML_Preview_SaveTemplate = 'Ulo jako ablonu...';
  QED_HTML_Preview_LoadTemplate = 'ti ablonu...';

  QED_HTML_Basic_Title = '&Zkladn';
  QED_HTML_Basic_PageTitle = 'Titulek';
  QED_HTML_Basic_CSS = 'Pouit Cascade Style Sheets';
  QED_HTML_Basic_CSSInternal = 'Intern';
  QED_HTML_Basic_CSSExternal = 'Extern';
  QED_HTML_Basic_CSSFileName = 'CSS souboru';
  QED_HTML_Basic_OverwriteCSSFile = 'Pepsat CSS soubor jestli existuje'; // since 2.7

  QED_HTML_Multifile_Title = '&Multi-soubor'; // since 2.7
  QED_HTML_MultiFile_IndexLinkTemplate = 'ablona Index Link'; // since 2.7

  QED_HTML_Basic_MultiFile_Options = 'Vcesouborov export';
  QED_HTML_Basic_MultiFile_Use = 'do vce soubor';
  QED_HTML_Basic_MultiFile_RecCount_01 = 'Maximum';
  QED_HTML_Basic_MultiFile_RecCount_02 = 'zznam v jednom souboru';
  QED_HTML_Basic_MultiFile_GenerateIndex = 'Generovat index';
  QED_HTML_Basic_MultiFile_Navigation = ' Navigace ';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnTop = 'Nahoe';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnBottom = 'Dole';  // since 2.7
  QED_HTML_Basic_MultiFile_IndexLinkTitle = 'Index';  // since 2.7
  QED_HTML_Basic_MultiFile_FirstLinkTitle = 'Prvn';  // since 2.7
  QED_HTML_Basic_MultiFile_PriorLinkTitle = 'Pedel';  // since 2.7
  QED_HTML_Basic_MultiFile_NextLinkTitle = 'Nasledovn';  // since 2.7
  QED_HTML_Basic_MultiFile_LastLinkTitle = 'Posledn';  // since 2.7

  QED_HTML_Advanced_Title = '&Pokroil';
  QED_HTML_Advanced_Body_Options = 'Monosti tela strnky';
  QED_HTML_Advanced_Body_FontName = 'Jmno fontu';
  QED_HTML_Advanced_Body_Background = 'Pozad';
  QED_HTML_Advanced_Body_Attributes = 'Pokroil atributy';
  QED_HTML_Advanced_Table_Options = 'Monosti tabulky';
  QED_HTML_Advanced_Table_CellPadding = 'Vpl buek';
  QED_HTML_Advanced_Table_CellSpasing = 'Odstup buek';
  QED_HTML_Advanced_Table_Border = 'Okraj';
  QED_HTML_Advanced_Table_Background = 'Pozad'; // since 2.7
  QED_HTML_Advanced_Table_Attributes = 'Pokroil atributy';

  // XLS
  QED_XLS_Title = '&Excel Monosti';
  QED_XLS_Advanced_Title = '&Pokroil';
  QED_XLS_Page_Header = 'Hlavika strany';
  QED_XLS_Page_Footer = 'Pata strany';
  QED_XLS_Sheet_Title = 'Nzev hrku';
  QED_XLS_AutoCalcColWidth = 'Spotat ku sloupc'; // since 2.7

  QED_XLS_DataFormat_Title = 'Formt &dat';

  QED_XLS_DataFormat_Fields = 'Pole'; // since 2.2
  QED_XLS_DataFormat_Options = 'Volby'; // since 2.2
  QED_XLS_DataFormat_Styles = 'Styly'; // since 2.2
  QED_XLS_DataFormat_Styles_Add = 'Pidej styl'; // since 2.2
  QED_XLS_DataFormat_Styles_Del = 'Zru styl'; // since 2.2
  QED_XLS_DataFormat_Styles_Up = 'Hoe'; // since 2.2
  QED_XLS_DataFormat_Styles_Down = 'Dol'; // since 2.2
  QED_XLS_DataFormat_Styles_Save = 'Ulo styl'; // since 2.2
  QED_XLS_DataFormat_Styles_Load = 'Otevi styl'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Caption = 'Styl ps'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_None = 'dn'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Col = 'Sloupec'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Row = 'dek'; // since 2.2

  QED_XLS_Reset_Item = 'Reset poloky';
  QED_XLS_Reset_SelectedItems = 'Reset vybrat';
  QED_XLS_Reset_All = 'Reset vechno';
  QED_XLS_Reset_All_Question_Caption = 'Upozornen!';
  QED_XLS_Reset_All_Question = 'Vechny formty pol budou nastaven na ' +
                               'default hodnoty.' +
                               #13#10 + 'Jste si jist?';

  QED_XLS_SampleCell = '  Pklad buky';

  QED_XLS_Header = 'HLAVIKA';
  QED_XLS_Caption = 'NADPIS';
  QED_XLS_Aggregate = 'AGREGT';
  QED_XLS_Footer = 'PATA';

  QED_XLS_StyleItem = 'ITEM_'; // since 2.2

  QED_XLS_Font_Title = '&Font';
  QED_XLS_Font = 'Font';
  QED_XLS_FontSize = 'Velikost';
  QED_XLS_Font_Color = 'Barva fontu';
  QED_XLS_Font_Bold = 'Tun';
  QED_XLS_Font_Italic = 'Italika';
  QED_XLS_Font_StrikeOut = 'Pekrtnut';
  QED_XLS_Underline_Single = 'Podtren';
  QED_XLS_Underline_Single_Accounting = 'Podtren peruen';
  QED_XLS_Underline_Double = 'Dvakrt podtren';
  QED_XLS_Underline_Double_Accounting = 'Dvakrt podtren peruen';
  QED_XLS_Alignment_Horizontal_Left = 'Vlevo';
  QED_XLS_Alignment_Horizontal_Center = 'Center';
  QED_XLS_Alignment_Horizontal_Right = 'Vpravo';
  QED_XLS_Alignment_Horizontal_Fill = 'Vpl';
  QED_XLS_Alignment_Vertical_Top = 'Hore';
  QED_XLS_Alignment_Vertical_Center = 'Center';
  QED_XLS_Alignment_Vertical_Bottom = 'Dol';

  QED_XLS_Borders_Title = '&Okraje';
  QED_XLS_Border_None = 'dn'; // since 2.2
  QED_XLS_Border_Top = 'Horn okraj';
  QED_XLS_Border_Top_Color = 'Barva hornho okraje';
  QED_XLS_Border_Bottom = 'Spodn okraj';
  QED_XLS_Border_Bottom_Color = 'Barva spodnho okraje';
  QED_XLS_Border_Left = 'Lev okraj';
  QED_XLS_Border_Left_Color = 'Barva levho okraje';
  QED_XLS_Border_Right = 'Prav okraj';
  QED_XLS_Border_Right_Color = 'Barva pravho okraje';

  QED_XLS_Fill_Title = '&Vpl';
  QED_XLS_Fill_Background = 'Barva pozad';
  QED_XLS_Fill_Pattern_None = 'dn';
  QED_XLS_Fill_Foreground = 'Barva poped';

  QED_XLS_Aggregate_Title = '&Agregt';
  QED_XLS_Function = 'Agregt';
  QED_XLS_Function_None = 'dn';
  QED_XLS_Function_Sum = 'SUM';
  QED_XLS_Function_Avg = 'AVG';
  QED_XLS_Function_Min = 'MIN';
  QED_XLS_Function_Max = 'MAX';

  // ASCII
  QED_ASCII_Title = 'ASCII Monosti';
  QED_TXT_Title = ' TXT Monosti ';
  QED_TXT_AutoCalcColWidth = 'Potat ku sloupce';
  QED_TXT_Spacing = 'Vyplnen';
  QED_CSV_Title = ' CSV Monosti ';
  QED_CSV_QuoteStrings = 'Uvo etezec';
  QED_CSV_Comma = 'rka';
  QED_CSV_Quote = 'Uvae'; // since 2.6

  //Access
  QED_Access_Title = 'Access Volby'; // since 2.6
  QED_Access_TableOptions = 'Volby tabulky'; // since 2.6
  QED_Access_TableName = 'Jmno tabulky'; // since 2.6
  QED_Access_CreateTable = 'Vytvo tabulku jestli neexistuje'; // since 2.6

  // PDF
  QED_PDF_Title = 'PDF Volby'; // since 2.7
  QED_PDF_FontName = 'Jmno fontu'; // since 2.7
  QED_PDF_FontEncoding = 'Kdovn fontu'; // since 2.7
  QED_PDF_FontSize = 'Velikost fontu'; // since 2.7
  QED_PDF_FontColor = 'Barva fontu'; // since 2.7
  QED_PDF_Sample = 'Pklad'; // since 2.7

  QED_PDF_GridOptions = 'Volby tabulky'; // since 2.7
  QED_PDF_ColSpacing = 'Rozestup sloupc'; // since 2.7
  QED_PDF_RowSpacing = 'Rozestup dk'; // since 2.7
  QED_PDF_GridLineWidth = 'ka ry'; // since 2.7

  QED_PDF_PageOptions = 'Page Options'; // since 2.71
  QED_PDF_PageSize = 'Page Size'; // since 2.71
  QED_PDF_PageWidth = 'Width'; // since 2.71
  QED_PDF_PageHeight = 'Height'; // since 2.71
  QED_PDF_PageUnits = 'Units'; // since 2.71
  QED_PDF_PageOrientation = 'Page Orientation'; // since 2.71
  QED_PDF_Margins = 'Margins'; // since 2.71
  QED_PDF_MarginLeft = 'Left'; // since 2.71
  QED_PDF_MarginRight = 'Right'; // since 2.71
  QED_PDF_MarginTop = 'Top'; // since 2.71
  QED_PDF_MarginBottom = 'Bottom'; // since 2.71

  QED_PDF_HeaderFont = 'Font hlaviky'; // since 2.7
  QED_PDF_CaptionFont = 'Font nadpisu'; // since 2.7
  QED_PDF_DataFont = 'Font dat'; // since 2.7
  QED_PDF_FooterFont = 'Font paty'; // since 2.7

  // Progress
  QEDP_Caption = 'Exportuji...';
  QEDP_Status = 'Stav';
  QEDP_Time = 'as';
  QEDP_Speed = 'Rychlost';
  QEDP_Preparing = 'Pipravuji...';
  QEDP_Skipping = 'Peskakuji...';
  QEDP_Skipped = 'Peskoeno';
  QEDP_Exporting = 'Exportuji...';
  QEDP_Exported = 'Exportovno';
  QEDP_Fetching = 'tu...';
  QEDP_Fetched = 'Peteno';
  QEDP_Pause = 'Pauza';
  QEDP_Cancel = 'Zruit';
  QEDP_OK = 'OK';
  QEDP_Aborted = 'Perueno';
  QEDP_Finished = 'Dokoneno';
  QEDP_RowsPerSec = '%d dk/sek';
  QEDP_TimeFormat = 'h:nn:ss';

implementation

end.
