unit QExportConsts;

interface

resourcestring
  {$IFDEF WIN32}
  SMSExcelFilter = 'Microsoft Excel filer (*.xls)|*.xls';
  SMSAccessFilter = 'Microsoft Access files (*.mdb)|*.mdb'; // since 2.6
  SMSWordFilter  = 'Microsoft Word filer (*.doc)|*.doc';
  SRTFFilter     = 'RTF filer (*.rtf)|*.rtf';
  SHTMLFilter    = 'HTML filer (*.html, *.htm)|*.html;*.htm';
  SPDFFilter     = 'PDF Documents (*pdf)|*.pdf'; // since 2.7
  STextFilter    = 'Text filer (*.txt)|*.txt';
  SXMLFilter     = 'XML filer (*.xml)|*.xml';
  SCSVFilter     = 'CSV filer (*.csv)|*.csv';
  SDIFFFilter    = 'DIF filer (*.dif)|*.dif';
  SSYLKFilter    = 'SYLK filer (*.slk)|*.slk';
  SLaTeXFilter   = 'LaTeX filer (*.tex)|*.tex';
  SSQLFilter     = 'SQL filer (*.sql)|*.sql';
  SDBFFilter     = 'DBF filer (*.dbf)|*.dbf';
  {$ENDIF}
  {$IFDEF LINUX}
  SMSExcelFilter = 'Microsoft Excel filer (*.xls)';
  SMSWordFilter  = 'Microsoft Word filer (*.doc)';
  SRTFFilter     = 'RTF filer (*.rtf)';
  SHTMLFilter    = 'HTML filer (*.html;*.htm)';
  SPDFFilter     = 'PDF Documents (*pdf)'; // since 2.7
  STextFilter    = 'Text filer (*.txt)';
  SXMLFilter     = 'XML filer (*.xml)';
  SCSVFilter     = 'CSV filer (*.csv)';
  SDIFFFilter    = 'DIF filer (*.dif)';
  SSYLKFilter    = 'SYLK filer (*.slk)';
  SLaTeXFilter   = 'LaTeX filer (*.tex)';
  SSQLFilter     = 'SQL filer (*.sql)';
  SDBFFilter     = 'DBF filer (*.dbf)';
  {$ENDIF}

  QEM_ExportSourceNotAssigned = 'Kilden (%s) der skal eksporteres er ikke valgt';
  QEM_ExportSourceNotActive = 'Kilden (%s) der skal eksporteres er lukket';
  QEM_ExportSourceEmpty = 'Kilden (%s) der skal eksporteres er tom';
  QEM_AllowedExportsEmpty = 'Egenskaben m ikke vre tom';
  QEM_StopExportCaption = 'Er du sikker?';
  QEM_StopExportConfirm = 'Vil du annullere eksporteringen?';
  QEM_NewFormatValue = 'Ny format vrdi';
  QEM_EnterValue     = 'Indtast vrdi:';
  QEM_DefineSheetError = 'Sheet %s define with error: %s'; //since 2.6
  QEM_FileNotPresent = 'Result file name not present'; //since 2.6
  QEM_ExportAccessOleError = 'You need install and register the MS Access application'; //since 2.6

  QEPF_Letter         = 'Letter'; // since 2.71
  QEPF_Legal          = 'Legal'; // since 2.71
  QEPF_A3             = 'A3'; // since 2.71
  QEPF_A4             = 'A4'; // since 2.71
  QEPF_A5             = 'A5'; // since 2.71
  QEPF_B5_JIS         = 'B5(JIS)'; // since 2.71
  QEPF_US_Std_Fanfold = 'US Std Fanfold'; // since 2.71
  QEPF_Fanfold        = 'Fanfold'; // since 2.71
  QEPF_User           = 'User'; // since 2.71

  QEUN_Inch       = 'Inches'; // since 2.71
  QEUN_Millimeter = 'Millimeters'; // since 2.71
  QEUN_Dot        = 'Dots'; // since 2.71

  QEPO_Portrait = 'Stende'; // since 2.71
  QEPO_Portrait = 'Liggende'; // since 2.71

  QED_Title = 'Eksport dialog';
  QED_AdvancedTitle = 'Export dialog -- Eksporter til [%s]';
  QED_CloseButtonCaption = '&Luk';
  QED_ExportTitle = 'Eksporterer...';
  QED_CancelButtonCaption = '&Annuller';
  QED_FileName = 'Destinations fil';
  QED_SelectFile = 'Vlg...';
  QED_OpenAfterExport = 'ben filen nr den er eksporteret';
  QED_PrintAfterExport = 'Udskriv filen nr den er eksporteret';

  // Export Type
  QED_ExportType_Title = 'Eksport &Type';
  QED_ExportType_Formats = ' &Formater';
  QED_ExportType_ExportTo = ' Eksporter til ';
  QED_ExportType_XLS = 'MS Excel';
  QED_ExportType_Access = 'MS Access'; // since 2.6
  QED_ExportType_DOC = 'MS Word';
  QED_ExportType_RTF = 'RTF';
  QED_ExportType_HTML = 'HTML';
  QED_ExportType_PDF = 'PDF'; // since 2.7
  QED_ExportType_TXT = 'Text Fil';
  QED_ExportType_XML = 'XML';
  QED_ExportType_DBF = 'DBF';
  QED_ExportType_CSV = 'CSV Fil';
  QED_ExportType_DIFF = 'DIF Fil';
  QED_ExportType_SYLK = 'SYLK Fil';
  QED_ExportType_LaTeX = 'LaTeX';
  QED_ExportType_SQL = 'SQL';
  QED_ExportType_Clipboard = 'Windows Klippebord';

  QED_ExportType_Options = '&Indstillinger';
  QED_ExportType_Constraints = ' Begrnsninger ';
  QED_ExportType_Options_GoToFirstRecord = 'G til den frste post';
  QED_ExportType_Options_CurrentRecordOnly = 'Current record only'; // since 2.25
  QED_ExportType_Options_ExportEmpty = 'Allow export empty data source'; // since 2.6
  QED_ExportType_ExportAllRecords = 'Eksporter alle poster';
  QED_ExportType_Options_ExportRecCount = 'Eksporter kun';
  QED_ExportType_Options_SkipRecCount = 'Spring over';
  QED_ExportType_Options_Records = 'poster';

  QED_Tools = 'Tools'; // since 2.7
  QED_ExportType_Save = 'Gem Eksport Indstillinger...';
  QED_ExportType_Load = 'Hent Eksport Indstillinger...';

  QED_ExportType_Start = '&Start Eksportering';
  QED_ExportType_Close = '&Luk';

  // Fields
  QED_Fields_Title = 'F&elter';
  QED_Fields_Available = 'Felter til rdighed:';
  QED_Fields_Exported = 'Eksporterede felter:';
  QED_Fields_Add = '>';
  QED_Fields_AddAll = '>>';
  QED_Fields_Remove = '<';
  QED_Fields_RemoveAll = '<<';

  // Formats
  QED_Formats_Title = '&Format';
  QED_Formats_Common = 'Flles';
  QED_Formats_Integer = 'Heltals Format';
  QED_Formats_Float = 'Decimaltal Format';
  QED_Formats_Date = 'Dato Format';
  QED_Formats_Time = 'Tids Format';
  QED_Formats_DateTime  = 'Dato / Tid Format';
  QED_Formats_Currency = 'Valuta Format';
  QED_Formats_BooleanTrue = 'Boolsk sand';
  QED_Formats_BooleanFalse = 'Boolsk falsk';
  QED_Formats_NullString = 'Nul streng';
  QED_Formats_User = 'Bruger';
  QED_Formats_Add = 'Tilfj';
  QED_Formats_Edit = 'Rediger';
  QED_Formats_Delete = 'Slet';
  QED_Formats_Clear = 'Nulstil';

  // Header & Footer
  QED_Header_Footer_Title = 'Side hove&der && fdder';
  QED_Header_Footer_Header = 'Sidehoved tekst:';
  QED_Header_Footer_Footer = 'Sidefod tekst:';

  // Captions
  QED_Captions_AllowCaptions = 'Tillad Overskrifter';
  QED_Captions_Title = '&Overskrifter';
  QED_Captions_FeldName = 'Felt navn';
  QED_Captions_Caption = 'Overskrift';
  QED_Captions_Width = 'Bredde';
  QED_Captions_Align = 'Justering';
  QED_Align_Left = 'Venstre'; // since 2.25
  QED_Align_Right = 'Hjre'; // since 2.25
  QED_Align_Center = 'Centreret'; // since 2.25
  QED_StringGrid_CaptionRow = 'Caption row'; //since 2.6

  // Word / RTF
  QED_RTF_Title = 'Word / RTF Indstillinger';
  QED_RTF_DefaultFont = 'Standard skrifttype';
  QED_RTF_HeaderFont = 'Rkkehoved skrifttype';
  QED_RTF_PageOrientation = ' Papirretning ';

  // XML
  QED_XML_Title = 'XML Indstillinger';
  QED_XML_Standalone = 'Selvstndig';
  QED_XML_Encoding = 'Kodning';

  // SQL
  QED_SQL_Title = '&SQL Indstillinger';
  QED_SQL_TableOptions = 'Tabel indstillinger';
  QED_SQL_AddCreateTable = 'Tilfj "Opret tabel" mulighed';
  QED_SQL_TableName = 'Tabel navn';
  QED_SQL_Commit = 'Overfr indstillinger';
  QED_SQL_CommitAfter_01 = 'Overfr efter';
  QED_SQL_CommitAfter_02 = 'post(er)';
  QED_SQL_CommitAfterScript = 'Overfr efter script er krt';
  QED_SQL_CommitStatement = 'Data overfrt besked';
  QED_SQL_Other = 'Andre Indstillinger';
  QED_SQL_NullAs = 'Eksporter null vrdier som';
  QED_SQL_StatementTerm = 'Statement term';

  // HTML
  QED_HTML_Title = '&HTML Indstillinger';
  QED_HTML_Preview_Title = '&Vis udskrift';
  QED_HTML_Preview_DefaultText = 'standard tekst';
  QED_HTML_Preview_NonVisitedLink = 'Ikke-besgte link';
  QED_HTML_Preview_VisitedLink = 'Besgte link';
  QED_HTML_Preview_ActiveLink = 'Aktive link';
  QED_HTML_Preview_Template = 'Skabelon';
  QED_HTML_Preview_SaveTemplate = 'Gem som skabelon...';
  QED_HTML_Preview_LoadTemplate = 'bn skabelon...';

  QED_HTML_Basic_Title = '&Basis';
  QED_HTML_Basic_PageTitle = 'Titel';
  QED_HTML_Basic_CSS = 'Brug Cascade Style Sheets';
  QED_HTML_Basic_CSSInternal = 'Intern';
  QED_HTML_Basic_CSSExternal = 'Ekstern';
  QED_HTML_Basic_CSSFileName = 'CSS fil navn';
  QED_HTML_Basic_OverwriteCSSFile = 'Overwrite CSS file if exists'; // since 2.7

  QED_HTML_Multifile_Title = '&Multi-File'; // since 2.7
  QED_HTML_MultiFile_IndexLinkTemplate = 'Index Link Template'; // since 2.7

  QED_HTML_Basic_MultiFile_Options = 'Eksporter til flere filer';
  QED_HTML_Basic_MultiFile_Use = 'Brug Eksport til flere filer';
  QED_HTML_Basic_MultiFile_RecCount_01 = 'Maximum';
  QED_HTML_Basic_MultiFile_RecCount_02 = 'post(er) i en enkelt fil';
  QED_HTML_Basic_MultiFile_GenerateIndex = 'Generer indeks';
  QED_HTML_Basic_MultiFile_Navigation = ' Navigation ';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnTop = 'On Top';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnBottom = 'On Bottom';  // since 2.7
  QED_HTML_Basic_MultiFile_IndexLinkTitle = 'Index';  // since 2.7
  QED_HTML_Basic_MultiFile_FirstLinkTitle = 'First';  // since 2.7
  QED_HTML_Basic_MultiFile_PriorLinkTitle = 'Prior';  // since 2.7
  QED_HTML_Basic_MultiFile_NextLinkTitle = 'Next';  // since 2.7
  QED_HTML_Basic_MultiFile_LastLinkTitle = 'Last';  // since 2.7

  QED_HTML_Advanced_Title = '&Advanceret';
  QED_HTML_Advanced_Body_Options = 'BODU indstillinger';
  QED_HTML_Advanced_Body_FontName = 'Skrifttype navn';
  QED_HTML_Advanced_Body_Background = 'Baggrund';
  QED_HTML_Advanced_Body_Attributes = 'Advanceret egenskaber';
  QED_HTML_Advanced_Table_Options = 'Tabel indstillinger';
  QED_HTML_Advanced_Table_CellPadding = 'Celle mellemrum';
  QED_HTML_Advanced_Table_CellSpasing = 'Mellemrum mellem celler';
  QED_HTML_Advanced_Table_Border = 'Ramme';
  QED_HTML_Advanced_Table_Background = 'Background'; // since 2.7
  QED_HTML_Advanced_Table_Attributes = 'Advancerede egenskaber';

  // XLS
  QED_XLS_Title = '&Excel Indstillinger';
  QED_XLS_Advanced_Title = 'A&dvanceret';
  QED_XLS_Page_Header = 'Sidehoved';
  QED_XLS_Page_Footer = 'Sidefod';
  QED_XLS_Sheet_Title = 'Ark titel';
  QED_XLS_AutoCalcColWidth = 'Auto calculate column width'; // since 2.7

  QED_XLS_DataFormat_Title = '&Data format';

  QED_XLS_DataFormat_Fields = 'Felter'; // since 2.2
  QED_XLS_DataFormat_Options = 'Indstillinger'; // since 2.2
  QED_XLS_DataFormat_Styles = 'Stilarter'; // since 2.2
  QED_XLS_DataFormat_Styles_Add = 'Tilfj stilart'; // since 2.2
  QED_XLS_DataFormat_Styles_Del = 'Slet stilart'; // since 2.2
  QED_XLS_DataFormat_Styles_Up = 'Flyt op'; // since 2.2
  QED_XLS_DataFormat_Styles_Down = 'Flyt ned'; // since 2.2
  QED_XLS_DataFormat_Styles_Save = 'Gem stilart'; // since 2.2
  QED_XLS_DataFormat_Styles_Load = 'Hent stilart'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Caption = 'Strip stilart'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_None = 'Ingen'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Col = 'Kolonne'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Row = 'Rkke'; // since 2.2

  QED_XLS_Reset_Item = 'Nulstil punkt';
  QED_XLS_Reset_SelectedItems = 'Nulstil valgte';
  QED_XLS_Reset_All = 'Nulstil alle';
  QED_XLS_Reset_All_Question_Caption = 'Bemrk!';
  QED_XLS_Reset_All_Question = 'Formatet for alle felter vil blive sat til ' +
                               'standard vrdierne.' +
                               #13#10 + 'Er du sikker?';

  QED_XLS_SampleCell = '  Test celle';

  QED_XLS_Header = 'SIDEHOVED';
  QED_XLS_Caption = 'OVERSKRIFT';
  QED_XLS_Aggregate = 'TOTALSUM';
  QED_XLS_Footer = 'SIDEFOD';

  QED_XLS_StyleItem = 'PUNKT_'; // since 2.2

  QED_XLS_Font_Title = '&Skrifttype';
  QED_XLS_Font = 'Skrifttype';
  QED_XLS_FontSize = 'Strrelse';
  QED_XLS_Font_Color = 'Skrift farve';
  QED_XLS_Font_Bold = 'Fed';
  QED_XLS_Font_Italic = 'Kursiv';
  QED_XLS_Font_StrikeOut = 'Gennemstreget';
  QED_XLS_Underline_Single = 'Enkel understregning';
  QED_XLS_Underline_Single_Accounting = 'Enkel understregning regnskab';
  QED_XLS_Underline_Double = 'Dobbelt understregning';
  QED_XLS_Underline_Double_Accounting = 'Dobbelt understregning regnskab';
  QED_XLS_Alignment_Horizontal_Left = 'Venstre';
  QED_XLS_Alignment_Horizontal_Center = 'Centreret';
  QED_XLS_Alignment_Horizontal_Right = 'Hjre';
  QED_XLS_Alignment_Horizontal_Fill = 'Fyld';
  QED_XLS_Alignment_Vertical_Top = 'Top';
  QED_XLS_Alignment_Vertical_Center = 'Centreret';
  QED_XLS_Alignment_Vertical_Bottom = 'Bund';

  QED_XLS_Borders_Title = '&Rammer';
  QED_XLS_Border_None = 'Ingen'; // since 2.2
  QED_XLS_Border_Top = 'Top ramme';
  QED_XLS_Border_Top_Color = 'Top ramme farve';
  QED_XLS_Border_Bottom = 'Bund ramme';
  QED_XLS_Border_Bottom_Color = 'Bund ramme farve';
  QED_XLS_Border_Left = 'Venstre ramme';
  QED_XLS_Border_Left_Color = 'Venstre ramme farve';
  QED_XLS_Border_Right = 'Hjre ramme';
  QED_XLS_Border_Right_Color = 'Hjre ramme farve';

  QED_XLS_Fill_Title = 'F&yld';
  QED_XLS_Fill_Background = 'Baggrunds farve';
  QED_XLS_Fill_Pattern_None = 'Ingen';
  QED_XLS_Fill_Foreground = 'Forggrunds farve';

  QED_XLS_Aggregate_Title = '&Totalsum';
  QED_XLS_Function = 'Totalsum';
  QED_XLS_Function_None = 'Ingen';
  QED_XLS_Function_Sum = 'SUM';
  QED_XLS_Function_Avg = 'AVG';
  QED_XLS_Function_Min = 'MIN';
  QED_XLS_Function_Max = 'MAX';

  // ASCII
  QED_ASCII_Title = 'ASCII Indstillinger';
  QED_TXT_Title = ' TXT Indstillinger ';
  QED_TXT_AutoCalcColWidth = 'Beregn kolonnebredde';
  QED_TXT_Spacing = 'Mellemrum';
  QED_CSV_Title = ' CSV Indstillinger ';
  QED_CSV_QuoteStrings = 'Citat strenge';
  QED_CSV_Comma = 'Komma';
  QED_CSV_Quote = 'Quote'; // since 2.6

  //Access
  QED_Access_Title = 'Access Options'; // since 2.6
  QED_Access_TableOptions = 'Table Options'; // since 2.6
  QED_Access_TableName = 'Table Name'; // since 2.6
  QED_Access_CreateTable = 'Create table if it does not exist'; // since 2.6

  // PDF
  QED_PDF_Title = 'PDF Options'; // since 2.7
  QED_PDF_FontName = 'Font Name'; // since 2.7
  QED_PDF_FontEncoding = 'Font Encoding'; // since 2.7
  QED_PDF_FontSize = 'Font Size'; // since 2.7
  QED_PDF_FontColor = 'Font Color'; // since 2.7
  QED_PDF_Sample = 'Sample'; // since 2.7

  QED_PDF_GridOptions = 'Grid Options'; // since 2.7
  QED_PDF_ColSpacing = 'Col Spacing'; // since 2.7
  QED_PDF_RowSpacing = 'Row Spacing'; // since 2.7
  QED_PDF_GridLineWidth = 'Grid Line Width'; // since 2.7

  QED_PDF_PageOptions = 'Page Options'; // since 2.71
  QED_PDF_PageSize = 'Page Size'; // since 2.71
  QED_PDF_PageWidth = 'Width'; // since 2.71
  QED_PDF_PageHeight = 'Height'; // since 2.71
  QED_PDF_PageUnits = 'Units'; // since 2.71
  QED_PDF_PageOrientation = 'Page Orientation'; // since 2.71
  QED_PDF_Margins = 'Margins'; // since 2.71
  QED_PDF_MarginLeft = 'Left'; // since 2.71
  QED_PDF_MarginRight = 'Right'; // since 2.71
  QED_PDF_MarginTop = 'Top'; // since 2.71
  QED_PDF_MarginBottom = 'Bottom'; // since 2.71

  QED_PDF_HeaderFont = 'Header Font'; // since 2.7
  QED_PDF_CaptionFont = 'Caption Font'; // since 2.7
  QED_PDF_DataFont = 'Data Font'; // since 2.7
  QED_PDF_FooterFont = 'Footer Font'; // since 2.7

  // Progress
  QEDP_Caption = 'Eksporterer...';
  QEDP_Status = 'Status';
  QEDP_Time = 'Tid';
  QEDP_Speed = 'Hastighed';
  QEDP_Preparing = 'Forbereder...';
  QEDP_Skipping = 'Udelader...';
  QEDP_Skipped = 'Udeladt';
  QEDP_Exporting = 'Eksporterer...';
  QEDP_Exported = 'Eksporteret';
  QEDP_Fetching = 'Henter...';
  QEDP_Fetched = 'Hentet';
  QEDP_Pause = 'Pause';
  QEDP_Cancel = 'Annuller';
  QEDP_OK = 'OK';
  QEDP_Aborted = 'Afbrudt';
  QEDP_Finished = 'Frdig';
  QEDP_RowsPerSec = '%d rkker/sek';
  QEDP_TimeFormat = 'h:nn:ss';

implementation

end.
