unit QExportConsts;

interface

resourcestring
  {$IFDEF WIN32}
  SMSExcelFilter = 'Microsoft Excel Dateien (*.xls)|*.xls';
  SMSAccessFilter = 'Microsoft Access Dateien (*.mdb)|*.mdb'; // since 2.6
  SMSWordFilter  = 'Microsoft Word Dateien (*.doc)|*.doc';
  SRTFFilter     = 'RTF Dateien (*.rtf)|*.rtf';
  SHTMLFilter    = 'HTML Dateien (*.html, *.htm)|*.html;*.htm';
  SPDFFilter     = 'PDF Dokumente (*pdf)|*.pdf'; // since 2.7
  STextFilter    = 'Text Dateien (*.txt)|*.txt';
  SXMLFilter     = 'XML Dateien (*.xml)|*.xml';
  SCSVFilter     = 'CSV Dateien (*.csv)|*.csv';
  SDIFFFilter    = 'DIF Dateien (*.dif)|*.dif';
  SSYLKFilter    = 'SYLK Dateien (*.slk)|*.slk';
  SLaTeXFilter   = 'LaTeX Dateien (*.tex)|*.tex';
  SSQLFilter     = 'SQL Dateien (*.sql)|*.sql';
  SDBFFilter     = 'DBF Dateien (*.dbf)|*.dbf';
  {$ENDIF}
  {$IFDEF LINUX}
  SMSExcelFilter = 'Microsoft Excel Dateien (*.xls)';
  SMSWordFilter  = 'Microsoft Word Dateien (*.doc)';
  SRTFFilter     = 'RTF Dateien (*.rtf)';
  SHTMLFilter    = 'HTML Dateien (*.html;*.htm)';
  SPDFFilter     = 'PDF Dokumente (*pdf)'; // since 2.7
  STextFilter    = 'Text Dateien (*.txt)';
  SXMLFilter     = 'XML Dateien (*.xml)';
  SCSVFilter     = 'CSV Dateien (*.csv)';
  SDIFFFilter    = 'DIF Dateien (*.dif)';
  SSYLKFilter    = 'SYLK Dateien (*.slk)';
  SLaTeXFilter   = 'LaTeX Dateien (*.tex)';
  SSQLFilter     = 'SQL Dateien (*.sql)';
  SDBFFilter     = 'DBF Dateien (*.dbf)';
  {$ENDIF}

  QEM_ExportSourceNotAssigned = 'Export-Datenquelle (%s) ist nicht zugewiesen';
  QEM_ExportSourceNotActive = 'Export-Datenquelle (%s) ist geschlossen';
  QEM_ExportSourceEmpty = 'Export-Datenquelle (%s) ist leer';
  QEM_AllowedExportsEmpty = 'Es mu ein Exportformat ausgewhlt sein';
  QEM_StopExportCaption = 'Sind Sie sicher?';
  QEM_StopExportConfirm = 'Wollen Sie den Export abbrechen?';
  QEM_NewFormatValue = 'Neuer Formatwert';
  QEM_EnterValue     = 'Wert eingeben:';
  QEM_DefineSheetError = 'Format %s definiert mit Fehler: %s'; //since 2.6
  QEM_FileNotPresent = 'Name der Ergebnisdatei fehlt'; //since 2.6
  QEM_ExportAccessOleError = 'Sie mssen MS Access installieren und registrieren'; //since 2.6

  QED_Title = 'Export-Dialog';
  QED_AdvancedTitle = 'Export-Dialog -- Export nach [%s]';
  QED_CloseButtonCaption = '&Schlieen';
  QED_ExportTitle = 'Exportieren...';
  QED_CancelButtonCaption = '&Abbrechen';
  QED_FileName = 'Zieldatei';
  QED_SelectFile = 'Auswhlen...';
  QED_OpenAfterExport = 'Datei nach dem Export ffnen';
  QED_PrintAfterExport = 'Datei nach dem Export drucken';

  // Export Type
  QED_ExportType_Title = 'Export&typ';
  QED_ExportType_Formats = ' &Formate';
  QED_ExportType_ExportTo = ' Export nach ';
  QED_ExportType_XLS = 'MS Excel';
  QED_ExportType_Access = 'MS Access'; // since 2.6
  QED_ExportType_DOC = 'MS Word';
  QED_ExportType_RTF = 'RTF';
  QED_ExportType_HTML = 'HTML';
  QED_ExportType_PDF = 'PDF'; // since 2.7
  QED_ExportType_TXT = 'Text-Datei';
  QED_ExportType_XML = 'XML';
  QED_ExportType_DBF = 'DBF';
  QED_ExportType_CSV = 'CSV-Datei';
  QED_ExportType_DIFF = 'DIF-Datei';
  QED_ExportType_SYLK = 'SYLK-Datei';
  QED_ExportType_LaTeX = 'LaTeX';
  QED_ExportType_SQL = 'SQL';
  QED_ExportType_Clipboard = 'Zwischenablage';

  QED_ExportType_Options = '&Optionen';
  QED_ExportType_Constraints = ' Bedingungen ';
  QED_ExportType_Options_GoToFirstRecord = 'Zum ersten Datensatz springen';
  QED_ExportType_Options_CurrentRecordOnly = 'Nur aktueller Datensatz'; // since 2.25
  QED_ExportType_Options_ExportEmpty = 'Auch leere Datenmenge exportieren'; // since 2.6
  QED_ExportType_ExportAllRecords = 'Alle Datenstze exportieren';
  QED_ExportType_Options_ExportRecCount = 'Export von';
  QED_ExportType_Options_SkipRecCount = 'berspringen von';
  QED_ExportType_Options_Records = 'Stzen';

  QED_Tools = 'Tools'; // since 2.7
  QED_ExportType_Save = 'Exportoptionen speichern...';
  QED_ExportType_Load = 'Exportoptionen laden...';

  QED_ExportType_Start = '&Export starten';
  QED_ExportType_Close = '&Schlieen';
  
  // Fields
  QED_Fields_Title = 'F&elder';
  QED_Fields_Available = 'Verfgbare Felder:';
  QED_Fields_Exported = 'Exportierte Felder:';
  QED_Fields_Add = '>';
  QED_Fields_AddAll = '>>';
  QED_Fields_Remove = '<';
  QED_Fields_RemoveAll = '<<';

  // Formats
  QED_Formats_Title = '&Formate';
  QED_Formats_Common = 'Allgemein';
  QED_Formats_Integer = 'Integer-Format';
  QED_Formats_Float = 'Float-Format';
  QED_Formats_Date = 'Datum-Format';
  QED_Formats_Time = 'Zeit-Format';
  QED_Formats_DateTime  = 'Datum/Zeit-Format';
  QED_Formats_Currency = 'Whrung-Format';
  QED_Formats_BooleanTrue = 'Boolesch Wahr';
  QED_Formats_BooleanFalse = 'Boolesch Falsch';
  QED_Formats_NullString = 'Null Zeichenkette';
  QED_Formats_User = 'Benutzer';
  QED_Formats_Add = 'Hinzufgen';
  QED_Formats_Edit = 'ndern';
  QED_Formats_Delete = 'Entfernen';
  QED_Formats_Clear = 'Lschen';

  // Header & Footer
  QED_Header_Footer_Title = '&Kopf- und Fuzeile';
  QED_Header_Footer_Header = 'Kopfzeilentext:';
  QED_Header_Footer_Footer = 'Fuzeilentext:';

  // Captions
  QED_Captions_AllowCaptions = 'Beschriftungen verwenden';
  QED_Captions_Title = '&Beschriftungen';
  QED_Captions_FeldName = 'Feldname';
  QED_Captions_Caption = 'Beschriftung';
  QED_Captions_Width = 'Breite';
  QED_Captions_Align = 'Ausrichtung';
  QED_Align_Left = 'Links'; // since 2.25
  QED_Align_Right = 'Rechts'; // since 2.25
  QED_Align_Center = 'Mitte'; // since 2.25
  QED_StringGrid_CaptionRow = 'berschriftsreihe'; //since 2.6

  // Word / RTF
  QED_RTF_Title = 'Word/RTF-Optionen';
  QED_RTF_DefaultFont = 'Standardschriftart';
  QED_RTF_HeaderFont = 'Spaltenberschrift';
  QED_RTF_PageOrientation = ' Ausrichtung ';
  QED_RTF_Portrait = 'Hochformat';
  QED_RTF_Landscape = 'Querformat';

  // XML
  QED_XML_Title = 'XML-Optionen';
  QED_XML_Standalone = 'Standalone';
  QED_XML_Encoding = 'Encoding';

  // SQL
  QED_SQL_Title = '&SQL-Optionen';
  QED_SQL_TableOptions = 'Tabellenoptionen';
  QED_SQL_AddCreateTable = '"Create Table" Anweisung hinzufgen';
  QED_SQL_TableName = 'Tabellenname';
  QED_SQL_Commit = 'Commit-Optionen';
  QED_SQL_CommitAfter_01 = 'Commit nach';
  QED_SQL_CommitAfter_02 = 'Datenstzen';
  QED_SQL_CommitAfterScript = 'Commit nach dem Skript';
  QED_SQL_CommitStatement = 'Commit Anweisung';
  QED_SQL_Other = 'Andere Optionen';
  QED_SQL_NullAs = 'Null Werte exportieren als';
  QED_SQL_StatementTerm = 'Statement term';

  // HTML
  QED_HTML_Title = '&HTML-Optionen';
  QED_HTML_Preview_Title = '&Vorschau';
  QED_HTML_Preview_DefaultText = 'Standardtext';
  QED_HTML_Preview_NonVisitedLink = 'Nicht besuchter Link';
  QED_HTML_Preview_VisitedLink = 'Besuchter Link';
  QED_HTML_Preview_ActiveLink = 'Aktiver Link';
  QED_HTML_Preview_Template = 'Vorlage';
  QED_HTML_Preview_SaveTemplate = 'Vorlage speichern...';
  QED_HTML_Preview_LoadTemplate = 'Vorlage laden...';

  QED_HTML_Basic_Title = '&Allgemein';
  QED_HTML_Basic_PageTitle = 'Titel';
  QED_HTML_Basic_CSS = 'Verwendung von Cascading Stylesheets CCS ';
  QED_HTML_Basic_CSSInternal = 'Intern';
  QED_HTML_Basic_CSSExternal = 'Extern';
  QED_HTML_Basic_CSSFileName = 'CSS Dateiname';
  QED_HTML_Basic_OverwriteCSSFile = 'Vorhandene CSS Datei berschreiben'; // since 2.7

  QED_HTML_Multifile_Title = '&Multi-Datei'; // since 2.7
  QED_HTML_MultiFile_IndexLinkTemplate = 'Index Link Vorlage'; // since 2.7

  QED_HTML_Basic_MultiFile_Options = 'Multi-Datei Export';
  QED_HTML_Basic_MultiFile_Use = 'Multi-Datei Export verwenden';
  QED_HTML_Basic_MultiFile_RecCount_01 = 'Maximum';
  QED_HTML_Basic_MultiFile_RecCount_02 = 'Datenstze pro Datei';
  QED_HTML_Basic_MultiFile_GenerateIndex = 'Index generieren';
  QED_HTML_Basic_MultiFile_Navigation = ' Navigation ';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnTop = 'nach oben';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnBottom = 'nach unten';  // since 2.7
  QED_HTML_Basic_MultiFile_IndexLinkTitle = 'Index';  // since 2.7
  QED_HTML_Basic_MultiFile_FirstLinkTitle = 'Anfang';  // since 2.7
  QED_HTML_Basic_MultiFile_PriorLinkTitle = 'Vorherige';  // since 2.7
  QED_HTML_Basic_MultiFile_NextLinkTitle = 'Nchste';  // since 2.7
  QED_HTML_Basic_MultiFile_LastLinkTitle = 'Ende';  // since 2.7

  QED_HTML_Advanced_Title = '&Erweitert';
  QED_HTML_Advanced_Body_Options = ' Body-Optionen ';
  QED_HTML_Advanced_Body_FontName = 'Schriftname';
  QED_HTML_Advanced_Body_Background = 'Hintergrund';
  QED_HTML_Advanced_Body_Attributes = 'Erweiterte Attribute';
  QED_HTML_Advanced_Table_Options = ' Tabellenoptionen ';
  QED_HTML_Advanced_Table_CellPadding = 'Zellfllung';
  QED_HTML_Advanced_Table_CellSpasing = 'Zellabstand';
  QED_HTML_Advanced_Table_Border = 'Rahmen';
  QED_HTML_Advanced_Table_Background = 'Hintergrund'; // since 2.7
  QED_HTML_Advanced_Table_Attributes = 'Erweiterte Attribute';

  // XLS
  QED_XLS_Title = '&Excel-Optionen';
  QED_XLS_Advanced_Title = 'E&rweitert';
  QED_XLS_Page_Header = 'Seitenkopf';
  QED_XLS_Page_Footer = 'Seitenfu';
  QED_XLS_Sheet_Title = 'Blattname';
  QED_XLS_AutoCalcColWidth = 'Spaltenbreite automatisch'; // since 2.7

  QED_XLS_DataFormat_Title = '&Datenformat';

  QED_XLS_DataFormat_Fields = 'Felder'; // since 2.2
  QED_XLS_DataFormat_Options = 'Optionen'; // since 2.2
  QED_XLS_DataFormat_Styles = 'Formate'; // since 2.2
  QED_XLS_DataFormat_Styles_Add = 'Format hinzufgen'; // since 2.2
  QED_XLS_DataFormat_Styles_Del = 'Format lschen'; // since 2.2
  QED_XLS_DataFormat_Styles_Up = 'nach oben'; // since 2.2
  QED_XLS_DataFormat_Styles_Down = 'nach unten'; // since 2.2
  QED_XLS_DataFormat_Styles_Save = 'Format speichern'; // since 2.2
  QED_XLS_DataFormat_Styles_Load = 'Format laden'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Caption = ' Streifenformat '; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_None = 'Ohne'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Col = 'Spalte'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Row = 'Zeile'; // since 2.2

  QED_XLS_Reset_Item = 'Zurcksetzen';
  QED_XLS_Reset_SelectedItems = 'Ausgewhlte zurcksetzen';
  QED_XLS_Reset_All = 'Alle zurcksetzen';
  QED_XLS_Reset_All_Question_Caption = 'Achtung!';
  QED_XLS_Reset_All_Question = 'Alle Feldformate werden auf den Ursprungswert zurckgesetzt.'+
                               #13#10 + 'Sind Sie sicher?';


  QED_XLS_SampleCell = '  Beispielzelle';
  
  QED_XLS_Header = 'HEADER';
  QED_XLS_Caption = 'CAPTION';
  QED_XLS_Aggregate = 'AGGREGATE';
  QED_XLS_Footer = 'FOOTER';

  QED_XLS_StyleItem = 'ITEM_'; // since 2.2

  QED_XLS_Font_Title = '&Schrift';
  QED_XLS_Font = 'Schrift';
  QED_XLS_FontSize = 'Gre';
  QED_XLS_Font_Color = 'Schriftfarbe';
  QED_XLS_Font_Bold = 'Fett';
  QED_XLS_Font_Italic = 'Kursiv';
  QED_XLS_Font_StrikeOut = 'Durchgestrichen';
  QED_XLS_Underline_Single = 'Einfach unterstrichen';
  QED_XLS_Underline_Single_Accounting = 'Einfach unterstrichen Buchhaltung';
  QED_XLS_Underline_Double = 'Doppelt unterstrichen';
  QED_XLS_Underline_Double_Accounting = 'Doppelt unterstrichen Buchhaltung';
  QED_XLS_Alignment_Horizontal_Left = 'Linksbndig';
  QED_XLS_Alignment_Horizontal_Center = 'Zentriert';
  QED_XLS_Alignment_Horizontal_Right = 'Rechtsbndig';
  QED_XLS_Alignment_Horizontal_Fill = 'Blocksatz';
  QED_XLS_Alignment_Vertical_Top = 'Oben';
  QED_XLS_Alignment_Vertical_Center = 'Zentriert';
  QED_XLS_Alignment_Vertical_Bottom = 'Unten';

  QED_XLS_Borders_Title = '&Rahmen';
  QED_XLS_Border_None = 'Ohne'; // since 2.2
  QED_XLS_Border_Top = 'Rahmen oben';
  QED_XLS_Border_Top_Color = 'Farbe Rahmen oben';
  QED_XLS_Border_Bottom = 'Rahmen unten';
  QED_XLS_Border_Bottom_Color = 'Farbe Rahmen unten';
  QED_XLS_Border_Left = 'Rahmen links';
  QED_XLS_Border_Left_Color = 'Farbe Rahmen links';
  QED_XLS_Border_Right = 'Rahmen rechts';
  QED_XLS_Border_Right_Color = 'Farbe Rahmen rechts';

  QED_XLS_Fill_Title = 'F&llen';
  QED_XLS_Fill_Background = 'Hintergrundfarbe';
  QED_XLS_Fill_Pattern_None = 'Ohne';
  QED_XLS_Fill_Foreground = 'Vordergrundfarbe';

  QED_XLS_Aggregate_Title = '&Aggregation';
  QED_XLS_Function = 'Aggregation';
  QED_XLS_Function_None = 'Ohne';
  QED_XLS_Function_Sum = 'SUM';
  QED_XLS_Function_Avg = 'AVG';
  QED_XLS_Function_Min = 'MIN';
  QED_XLS_Function_Max = 'MAX';

  // ASCII
  QED_ASCII_Title = 'ASCII-Optionen';
  QED_TXT_Title = ' TXT-Optionen ';
  QED_TXT_AutoCalcColWidth = 'Spaltenbreite berechnen mit';
  QED_TXT_Spacing = 'Abstand';
  QED_CSV_Title = ' CSV-Optionen ';
  QED_CSV_QuoteStrings = 'Zeichenkette in Anfhrung';
  QED_CSV_Comma = 'Trennzeichen';
  QED_CSV_Quote = 'Zeichen'; // since 2.6

  //Access
  QED_Access_Title = 'Access-Optionen'; // since 2.6
  QED_Access_TableOptions = 'Tabellen-Optionen'; // since 2.6
  QED_Access_TableName = 'Tabellen-Name'; // since 2.6
  QED_Access_CreateTable = 'Tabelle erzeugen, wenn nicht vorhanden'; // since 2.6

  // PDF
  QED_PDF_Title = 'PDF-Optionen'; // since 2.7
  QED_PDF_FontName = 'Schriftname'; // since 2.7
  QED_PDF_FontEncoding = 'Schriftkodierung'; // since 2.7
  QED_PDF_FontSize = 'Schriftgre'; // since 2.7
  QED_PDF_FontColor = 'Schriftfarbe'; // since 2.7
  QED_PDF_Sample = 'Beispiel'; // since 2.7
  QED_PDF_GridOptions = ' Gitter-Optionen '; // since 2.7
  QED_PDF_ColSpacing = 'Spaltenabstand'; // since 2.7
  QED_PDF_RowSpacing = 'Zeilenabstand'; // since 2.7
  QED_PDF_GridLineWidth = 'Linienbreite'; // since 2.7
  QED_PDF_HeaderFont = 'Kopfzeilenschrift'; // since 2.7
  QED_PDF_CaptionFont = 'berschriftenschrift'; // since 2.7
  QED_PDF_DataFont = 'Datenschrift'; // since 2.7
  QED_PDF_FooterFont = 'Fuzeilenschrift'; // since 2.7

  // Progress
  QEDP_Caption = 'Exportieren...';
  QEDP_Status = 'Status';
  QEDP_Time = 'Dauer';
  QEDP_Speed = 'Geschwindigkeit';
  QEDP_Preparing = 'Vorbereiten...';
  QEDP_Skipping = 'berspringen...';
  QEDP_Skipped = 'bersprungen';
  QEDP_Exporting = 'Exportieren...';
  QEDP_Exported = 'Exportiert';
  QEDP_Fetching = 'Abrufen...';
  QEDP_Fetched = 'Abgerufen';
  QEDP_Pause = 'Pause';
  QEDP_Cancel = 'Abbrechen';
  QEDP_OK = 'OK';
  QEDP_Aborted = 'Unterbrochen';
  QEDP_Finished = 'Beendet';
  QEDP_RowsPerSec = '%d Zeilen/Sek.';
  QEDP_TimeFormat = 'h:nn:ss';

implementation

end.
