unit QExportConsts;

interface

resourcestring
  {$IFDEF WIN32}
  SMSExcelFilter = 'File Microsoft Excel (*.xls)|*.xls';
  SMSAccessFilter = 'File Microsoft Access (*.mdb)|*.mdb'; // since 2.6
  SMSWordFilter  = 'File Microsoft Word (*.doc)|*.doc';
  SRTFFilter     = 'File RTF (*.rtf)|*.rtf';
  SHTMLFilter    = 'File HTML (*.html, *.htm)|*.html;*.htm';
  SPDFFilter     = 'Documenti PDF (*pdf)|*.pdf'; // since 2.7
  STextFilter    = 'File Text (*.txt)|*.txt';
  SXMLFilter     = 'File XML (*.xml)|*.xml';
  SCSVFilter     = 'File CSV (*.csv)|*.csv';
  SDIFFFilter    = 'File DIF (*.dif)|*.dif';
  SSYLKFilter    = 'File SYLK (*.slk)|*.slk';
  SLaTeXFilter   = 'File LaTeX (*.tex)|*.tex';
  SSQLFilter     = 'File SQL (*.sql)|*.sql';
  SDBFFilter     = 'File DBF (*.dbf)|*.dbf';
  {$ENDIF}
  {$IFDEF LINUX}
  SMSExcelFilter = 'File Microsoft Excel (*.xls)';
  SMSWordFilter  = 'File Microsoft Word (*.doc)';
  SRTFFilter     = 'File RTF (*.rtf)';
  SHTMLFilter    = 'File HTML (*.html;*.htm)';
  SPDFFilter     = 'Documenti PDF (*pdf)'; // since 2.7
  STextFilter    = 'File di testo (*.txt)';
  SXMLFilter     = 'File XML (*.xml)';
  SCSVFilter     = 'File CSV (*.csv)';
  SDIFFFilter    = 'File DIF (*.dif)';
  SSYLKFilter    = 'File SYLK (*.slk)';
  SLaTeXFilter   = 'File LaTeX (*.tex)';
  SSQLFilter     = 'File SQL (*.sql)';
  SDBFFilter     = 'File DBF (*.dbf)';
  {$ENDIF}

  QEM_ExportSourceNotAssigned = 'Sorgente di esportazione (%s) non assegnata';
  QEM_ExportSourceNotActive = 'Sorgente esportazione (%s) chiusa';
  QEM_ExportSourceEmpty = 'Sorgente di esportazione (%s) vuota';
  QEM_AllowedExportsEmpty = 'La propriet Allowed non pu essere vuota';
  QEM_StopExportCaption = 'Sicuro?';
  QEM_StopExportConfirm = 'Vuoi annullare l''esportazione?';
  QEM_NewFormatValue = 'Nuovo valore formato';
  QEM_EnterValue     = 'Valore:';
  QEM_DefineSheetError = 'Foglio %s errore define: %s'; //since 2.6
  QEM_FileNotPresent = 'File risultato non presente'; //since 2.6
  QEM_ExportAccessOleError = 'Devi installare e registrare MS Access'; //since 2.6

  QED_Title = 'Esportazione';
  QED_AdvancedTitle = 'Esportazione -- Esporto in [%s]';
  QED_CloseButtonCaption = '&Chiudi';
  QED_ExportTitle = 'Esporto...';
  QED_CancelButtonCaption = '&Annulla';
  QED_FileName = 'File destinazione';
  QED_SelectFile = 'Scegli...';
  QED_OpenAfterExport = 'Apri file dopo l''esportazione';
  QED_PrintAfterExport = 'Stampa file dopo l''esportazione';

  // Export Type
  QED_ExportType_Title = '&Tipo esportazione';
  QED_ExportType_Formats = ' &Formati ';
  QED_ExportType_ExportTo = ' Esporta in ';
  QED_ExportType_XLS = 'MS Excel';
  QED_ExportType_Access = 'MS Access'; // since 2.6
  QED_ExportType_DOC = 'MS Word';
  QED_ExportType_RTF = 'RTF';
  QED_ExportType_HTML = 'HTML';
  QED_ExportType_PDF = 'PDF'; // since 2.7
  QED_ExportType_TXT = 'File di testo';
  QED_ExportType_XML = 'XML';
  QED_ExportType_DBF = 'DBF';
  QED_ExportType_CSV = 'File CSV';
  QED_ExportType_DIFF = 'File DIF';
  QED_ExportType_SYLK = 'File SYLK';
  QED_ExportType_LaTeX = 'LaTeX';
  QED_ExportType_SQL = 'SQL';
  QED_ExportType_Clipboard = 'Appunti Windows';

  QED_ExportType_Options = '&Opzioni';
  QED_ExportType_Constraints = ' Vincoli ';
  QED_ExportType_Options_GoToFirstRecord = 'Vai al primo record';
  QED_ExportType_Options_CurrentRecordOnly = 'Solo record corrente'; // since 2.25
  QED_ExportType_Options_ExportEmpty = 'Ammetti export da origine vuota'; // since 2.6
  QED_ExportType_ExportAllRecords = 'Esporta tutti i record';
  QED_ExportType_Options_ExportRecCount = 'Esporta solo';
  QED_ExportType_Options_SkipRecCount = 'Salta';
  QED_ExportType_Options_Records = 'record';

  QED_Tools = 'Strumenti'; // since 2.7
  QED_ExportType_Save = 'Salva opzioni...';
  QED_ExportType_Load = 'Leggi opzioni...';

  QED_ExportType_Start = 'E&sporta';
  QED_ExportType_Close = '&Chiudi';
  
  // Fields
  QED_Fields_Title = 'Camp&i';
  QED_Fields_Available = 'Campi disponibili:';
  QED_Fields_Exported = 'Campi esportati:';
  QED_Fields_Add = '>';
  QED_Fields_AddAll = '>>';
  QED_Fields_Remove = '<';
  QED_Fields_RemoveAll = '<<';

  // Formats
  QED_Formats_Title = '&Formati';
  QED_Formats_Common = 'Comuni';
  QED_Formats_Integer = 'Formato Integer';
  QED_Formats_Float = 'Formato Float';
  QED_Formats_Date = 'Formato Date';
  QED_Formats_Time = 'Formato Time';
  QED_Formats_DateTime  = 'Formato DateTime';
  QED_Formats_Currency = 'Formato valuta';
  QED_Formats_BooleanTrue = 'Vero Boolean';
  QED_Formats_BooleanFalse = 'Falso Boolean';
  QED_Formats_NullString = 'Stringa nulla';
  QED_Formats_User = 'Utente';
  QED_Formats_Add = 'Aggiungi';
  QED_Formats_Edit = 'Modifica';
  QED_Formats_Delete = 'Elimina';
  QED_Formats_Clear = 'Svuota';

  // Header & Footer
  QED_Header_Footer_Title = 'Intesta&zione && pi pagina';
  QED_Header_Footer_Header = 'Intestazione:';
  QED_Header_Footer_Footer = 'Pi pagina:';

  // Captions
  QED_Captions_AllowCaptions = 'Consenti titoli';
  QED_Captions_Title = '&Titoli';
  QED_Captions_FeldName = 'Nome campo';
  QED_Captions_Caption = 'Titolo';
  QED_Captions_Width = 'Largh.';
  QED_Captions_Align = 'Allineamento';
  QED_Align_Left = 'Sx.'; // since 2.25
  QED_Align_Right = 'Dx.'; // since 2.25
  QED_Align_Center = 'Centra'; // since 2.25
  QED_StringGrid_CaptionRow = 'Riga titolo'; //since 2.6

  // Word / RTF
  QED_RTF_Title = 'Opzioni Word / RTF';
  QED_RTF_DefaultFont = 'Font default';
  QED_RTF_HeaderFont = 'Font intest. riga';
  QED_RTF_PageOrientation = ' Orientamento pagina ';
  QED_RTF_Portrait = 'Verticale';
  QED_RTF_Landscape = 'Orizzontale';

  // XML
  QED_XML_Title = 'Opzioni XML';
  QED_XML_Standalone = 'Autonomo';
  QED_XML_Encoding = 'Codifica';

  // SQL
  QED_SQL_Title = 'Opzioni &SQL';
  QED_SQL_TableOptions = 'Opzioni tabella';
  QED_SQL_AddCreateTable = 'Aggiungi statement "Create Table"';
  QED_SQL_TableName = 'Nome tabella';
  QED_SQL_Commit = 'Opzioni Commit';
  QED_SQL_CommitAfter_01 = 'Commit dopo';
  QED_SQL_CommitAfter_02 = 'record';
  QED_SQL_CommitAfterScript = 'Commit dopo script';
  QED_SQL_CommitStatement = 'Statement Commit';
  QED_SQL_Other = 'Altre opzioni';
  QED_SQL_NullAs = 'Esporta null come';
  QED_SQL_StatementTerm = 'Terminatore';

  // HTML
  QED_HTML_Title = 'Opzioni &HTML';
  QED_HTML_Preview_Title = 'Ante&prima';
  QED_HTML_Preview_DefaultText = 'Testo default';
  QED_HTML_Preview_NonVisitedLink = 'Link non visitato';
  QED_HTML_Preview_VisitedLink = 'Link visitato';
  QED_HTML_Preview_ActiveLink = 'Link attivo';
  QED_HTML_Preview_Template = 'Modello';
  QED_HTML_Preview_SaveTemplate = 'Salva come modello...';
  QED_HTML_Preview_LoadTemplate = 'Leggi modello...';

  QED_HTML_Basic_Title = 'di &base';
  QED_HTML_Basic_PageTitle = 'Titolo';
  QED_HTML_Basic_CSS = 'Foglio di stile';
  QED_HTML_Basic_CSSInternal = 'interno';
  QED_HTML_Basic_CSSExternal = 'esterno';
  QED_HTML_Basic_CSSFileName = 'nome file CSS';
  QED_HTML_Basic_OverwriteCSSFile = 'Sovrascrivi file CSS se esiste'; // since 2.7
  
  QED_HTML_Multifile_Title = '&Multi-File'; // since 2.7
  QED_HTML_MultiFile_IndexLinkTemplate = 'Schema collegamenti'; // since 2.7

  QED_HTML_Basic_MultiFile_Options = 'Esportazione multi-file';
  QED_HTML_Basic_MultiFile_Use = 'Abilita multi-file';
  QED_HTML_Basic_MultiFile_RecCount_01 = 'Massimo';
  QED_HTML_Basic_MultiFile_RecCount_02 = 'record in singolo file';
  QED_HTML_Basic_MultiFile_GenerateIndex = 'Genera indice';
  QED_HTML_Basic_MultiFile_Navigation = ' Navigazione ';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnTop = 'Sopra';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnBottom = 'Sotto';  // since 2.7
  QED_HTML_Basic_MultiFile_IndexLinkTitle = 'Indice';  // since 2.7
  QED_HTML_Basic_MultiFile_FirstLinkTitle = 'Primo';  // since 2.7
  QED_HTML_Basic_MultiFile_PriorLinkTitle = 'Indietro';  // since 2.7
  QED_HTML_Basic_MultiFile_NextLinkTitle = 'Avanti';  // since 2.7
  QED_HTML_Basic_MultiFile_LastLinkTitle = 'Ultimo';  // since 2.7

  QED_HTML_Advanced_Title = '&Avanzate';
  QED_HTML_Advanced_Body_Options = 'Opzioni corpo';
  QED_HTML_Advanced_Body_FontName = 'Nome font';
  QED_HTML_Advanced_Body_Background = 'Sfondo';
  QED_HTML_Advanced_Body_Attributes = 'Attributi avanzati';
  QED_HTML_Advanced_Table_Options = 'Opzioni tabella';
  QED_HTML_Advanced_Table_CellPadding = 'Riempimento celle';
  QED_HTML_Advanced_Table_CellSpasing = 'Spaziatura celle';
  QED_HTML_Advanced_Table_Border = 'Bordo';
  QED_HTML_Advanced_Table_Background = 'Sfondo'; // since 2.7
  QED_HTML_Advanced_Table_Attributes = 'Attributi avanzati';

  // XLS
  QED_XLS_Title = 'Opzioni &Excel';
  QED_XLS_Advanced_Title = 'A&vanzate';
  QED_XLS_Page_Header = 'Intestazione';
  QED_XLS_Page_Footer = 'Pi pagina';
  QED_XLS_Sheet_Title = 'Titolo foglio';
  QED_XLS_AutoCalcColWidth = 'Largh. colonne automatica'; // since 2.7

  QED_XLS_DataFormat_Title = 'Formato &dati';

  QED_XLS_DataFormat_Fields = 'Campi'; // since 2.2
  QED_XLS_DataFormat_Options = 'Opzioni'; // since 2.2
  QED_XLS_DataFormat_Styles = 'Stili'; // since 2.2
  QED_XLS_DataFormat_Styles_Add = 'Aggiungi stile'; // since 2.2
  QED_XLS_DataFormat_Styles_Del = 'Elimina stile'; // since 2.2
  QED_XLS_DataFormat_Styles_Up = 'Muovi su'; // since 2.2
  QED_XLS_DataFormat_Styles_Down = 'Muovi gi'; // since 2.2
  QED_XLS_DataFormat_Styles_Save = 'Salva stile'; // since 2.2
  QED_XLS_DataFormat_Styles_Load = 'Carica stile'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Caption = 'Elimina stile'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_None = 'Nessuno'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Col = 'Col.'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Row = 'Riga'; // since 2.2

  QED_XLS_Reset_Item = 'Ripristina formato';
  QED_XLS_Reset_SelectedItems = 'Ripristina selezionati';
  QED_XLS_Reset_All = 'Ripristina tutto';
  QED_XLS_Reset_All_Question_Caption = 'Attenzione!';
  QED_XLS_Reset_All_Question = 'Tutti i formati saranno ripristinati ai ' +
                               'valori di default.' +
                               #13#10 + 'Sicuro?';

  QED_XLS_SampleCell = '  Esempio cella';
  
  QED_XLS_Header = 'INTESTAZIONE';
  QED_XLS_Caption = 'TITOLO';
  QED_XLS_Aggregate = 'AGGREGAZIONE';
  QED_XLS_Footer = 'PIE'' PAGINA';

  QED_XLS_StyleItem = 'ITEM_'; // since 2.2

  QED_XLS_Font_Title = '&Carattere';
  QED_XLS_Font = 'Font';
  QED_XLS_FontSize = 'Dim.';
  QED_XLS_Font_Color = 'Colore font';
  QED_XLS_Font_Bold = 'Grassetto';
  QED_XLS_Font_Italic = 'Corsivo';
  QED_XLS_Font_StrikeOut = 'Barrato';
  QED_XLS_Underline_Single = 'Sottolinea';
  QED_XLS_Underline_Single_Accounting = 'Sottolinea valuta';
  QED_XLS_Underline_Double = 'Doppia sottolineatura';
  QED_XLS_Underline_Double_Accounting = 'Doppia sottolineatura valuta';
  QED_XLS_Alignment_Horizontal_Left = 'Sinistra';
  QED_XLS_Alignment_Horizontal_Center = 'Centra';
  QED_XLS_Alignment_Horizontal_Right = 'Destra';
  QED_XLS_Alignment_Horizontal_Fill = 'Riempi';
  QED_XLS_Alignment_Vertical_Top = 'Sopra';
  QED_XLS_Alignment_Vertical_Center = 'Centra';
  QED_XLS_Alignment_Vertical_Bottom = 'Sotto';

  QED_XLS_Borders_Title = '&Bordi';
  QED_XLS_Border_None = 'No'; // since 2.2
  QED_XLS_Border_Top = 'Superiore';
  QED_XLS_Border_Top_Color = 'Colore bordo sup.';
  QED_XLS_Border_Bottom = 'Inferiore';
  QED_XLS_Border_Bottom_Color = 'Colore bordo inf.';
  QED_XLS_Border_Left = 'Sinistro';
  QED_XLS_Border_Left_Color = 'Colore bordo sx.';
  QED_XLS_Border_Right = 'Destro';
  QED_XLS_Border_Right_Color = 'Colore bordo dx.';

  QED_XLS_Fill_Title = 'R&iempimento';
  QED_XLS_Fill_Background = 'Colore sfondo';
  QED_XLS_Fill_Pattern_None = 'Nessuno';
  QED_XLS_Fill_Foreground = 'Colore';

  QED_XLS_Aggregate_Title = '&Aggregazione';
  QED_XLS_Function = 'Funzione aggregazione';
  QED_XLS_Function_None = 'Nessuna';
  QED_XLS_Function_Sum = 'SUM';
  QED_XLS_Function_Avg = 'AVG';
  QED_XLS_Function_Min = 'MIN';
  QED_XLS_Function_Max = 'MAX';

  // ASCII
  QED_ASCII_Title = 'Opzioni ASCII';
  QED_TXT_Title = ' Opzioni TXT ';
  QED_TXT_AutoCalcColWidth = 'Calcola largh. colonne';
  QED_TXT_Spacing = 'Spazio';
  QED_CSV_Title = ' Opzioni CSV ';
  QED_CSV_QuoteStrings = 'Delimita stringhe';
  QED_CSV_Comma = 'con';
  QED_CSV_Quote = 'Quote'; // since 2.6

  //Access
  QED_Access_Title = 'Opzioni Access'; // since 2.6
  QED_Access_TableOptions = 'Opzioni tabella'; // since 2.6
  QED_Access_TableName = 'Nome tabella'; // since 2.6
  QED_Access_CreateTable = 'Crea tabella se non esiste'; // since 2.6

  // PDF
  QED_PDF_Title = 'Opzioni PDF'; // since 2.7
  QED_PDF_FontName = 'Nome Font'; // since 2.7
  QED_PDF_FontEncoding = 'Codifica Font'; // since 2.7
  QED_PDF_FontSize = 'Dim. Font'; // since 2.7
  QED_PDF_FontColor = 'Colore Font'; // since 2.7
  QED_PDF_Sample = 'Esempio'; // since 2.7
  QED_PDF_GridOptions = 'Opzioni tabelle'; // since 2.7
  QED_PDF_ColSpacing = 'Spaz. col.'; // since 2.7
  QED_PDF_RowSpacing = 'Spaz. righe'; // since 2.7
  QED_PDF_GridLineWidth = 'Spess. linee'; // since 2.7
  QED_PDF_HeaderFont = 'Font intestazione'; // since 2.7
  QED_PDF_CaptionFont = 'Font titolo'; // since 2.7
  QED_PDF_DataFont = 'Font dati'; // since 2.7
  QED_PDF_FooterFont = 'Font pi pagina'; // since 2.7

  // Progress
  QEDP_Caption = 'Esporto...';
  QEDP_Status = 'Stato';
  QEDP_Time = 'Tempo';
  QEDP_Speed = 'Velocit';
  QEDP_Preparing = 'Preparo...';
  QEDP_Skipping = 'Salto...';
  QEDP_Skipped = 'Saltati';
  QEDP_Exporting = 'Esporto...';
  QEDP_Exported = 'Esportati';
  QEDP_Fetching = 'Leggo...';
  QEDP_Fetched = 'Letti';
  QEDP_Pause = 'Pausa';
  QEDP_Cancel = 'Annulla';
  QEDP_OK = 'OK';
  QEDP_Aborted = 'Annullato';
  QEDP_Finished = 'Fine';
  QEDP_RowsPerSec = '%d righe/sec';
  QEDP_TimeFormat = 'h:mm:ss';

implementation

end.
