unit QExportConsts;

interface

resourcestring
  {$IFDEF WIN32}
  SMSExcelFilter = 'Microsoft Excel files (*.xls)|*.xls';
  SMSAccessFilter = 'Microsoft Access files (*.mdb)|*.mdb'; // since 2.6
  SMSWordFilter  = 'Microsoft Word files (*.doc)|*.doc';
  SRTFFilter     = 'RTF files (*.rtf)|*.rtf';
  SHTMLFilter    = 'HTML files (*.html, *.htm)|*.html;*.htm';
  SPDFFilter     = 'PDF Documents (*pdf)|*.pdf'; // since 2.7
  STextFilter    = 'Text files (*.txt)|*.txt';
  SXMLFilter     = 'XML files (*.xml)|*.xml';
  SCSVFilter     = 'CSV files (*.csv)|*.csv';
  SDIFFFilter    = 'DIF files (*.dif)|*.dif';
  SSYLKFilter    = 'SYLK files (*.slk)|*.slk';
  SLaTeXFilter   = 'LaTeX files (*.tex)|*.tex';
  SSQLFilter     = 'SQL files (*.sql)|*.sql';
  SDBFFilter     = 'DBF files (*.dbf)|*.dbf';
  {$ENDIF}
  {$IFDEF LINUX}
  SMSExcelFilter = 'Microsoft Excel sbory (*.xls)';
  SMSWordFilter  = 'Microsoft Word sbory (*.doc)';
  SRTFFilter     = 'RTF sbory (*.rtf)';
  SHTMLFilter    = 'HTML sbory (*.html;*.htm)';
  SPDFFilter     = 'PDF Documents (*pdf)'; // since 2.7
  STextFilter    = 'Textov sbory (*.txt)';
  SXMLFilter     = 'XML sbory (*.xml)';
  SCSVFilter     = 'CSV sbory (*.csv)';
  SDIFFFilter    = 'DIF sbory (*.dif)';
  SSYLKFilter    = 'SYLK sbory (*.slk)';
  SLaTeXFilter   = 'LaTeX sbory (*.tex)';
  SSQLFilter     = 'SQL sbory (*.sql)';
  SDBFFilter     = 'DBF sbory (*.dbf)';
  {$ENDIF}

  QEM_ExportSourceNotAssigned = '  (%s)  ';
  QEM_ExportSourceNotActive = '  (%s) ';
  QEM_ExportSourceEmpty = '  (%s) ';
  QEM_AllowedExportsEmpty = ' AllowedExports   ';
  QEM_StopExportCaption = ' ?';
  QEM_StopExportConfirm = '     ?';
  QEM_NewFormatValue = ' ';
  QEM_EnterValue     = ' :';
  QEM_DefineSheetError = 'Sheet %s define with error: %s'; //since 2.6
  QEM_FileNotPresent = 'Result file name not present'; //since 2.6
  QEM_ExportAccessOleError = 'You need install and register the MS Access application'; //since 2.6

  QEPF_Letter         = 'Letter'; // since 2.71
  QEPF_Legal          = 'Legal'; // since 2.71
  QEPF_A3             = 'A3'; // since 2.71
  QEPF_A4             = 'A4'; // since 2.71
  QEPF_A5             = 'A5'; // since 2.71
  QEPF_B5_JIS         = 'B5(JIS)'; // since 2.71
  QEPF_US_Std_Fanfold = 'US Std Fanfold'; // since 2.71
  QEPF_Fanfold        = 'Fanfold'; // since 2.71
  QEPF_User           = ''; // since 2.71

  QEUN_Inch       = ''; // since 2.71
  QEUN_Millimeter = ''; // since 2.71
  QEUN_Dot        = ''; // since 2.71

  QEPO_Portrait = ''; // since 2.71
  QEPO_Landscape = ''; // since 2.71

  QED_Title = ' ';
  QED_AdvancedTitle = '  --   [%s]';
  QED_CloseButtonCaption = '&';
  QED_ExportTitle = '...';
  QED_CancelButtonCaption = '&';
  QED_FileName = ' ';
  QED_SelectFile = '...';
  QED_OpenAfterExport = '   ';
  QED_PrintAfterExport = '   ';

  // Export Type
  QED_ExportType_Title = ' ';
  QED_ExportType_Formats = ' &';
  QED_ExportType_ExportTo = '   ';
  QED_ExportType_XLS = 'MS Excel';
  QED_ExportType_Access = 'MS Access'; // since 2.6
  QED_ExportType_DOC = 'MS Word';
  QED_ExportType_RTF = 'RTF';
  QED_ExportType_HTML = 'HTML';
  QED_ExportType_PDF = 'PDF'; // since 2.7
  QED_ExportType_TXT = 'Text File';
  QED_ExportType_XML = 'XML';
  QED_ExportType_DBF = 'DBF';
  QED_ExportType_CSV = 'CSV File';
  QED_ExportType_DIFF = 'DIF File';
  QED_ExportType_SYLK = 'SYLK File';
  QED_ExportType_LaTeX = 'LaTeX';
  QED_ExportType_SQL = 'SQL';
  QED_ExportType_Clipboard = 'Windows Clipboard';

  QED_ExportType_Options = '&';
  QED_ExportType_Constraints = '  ';
  QED_ExportType_Options_GoToFirstRecord = '  ';
  QED_ExportType_Options_CurrentRecordOnly = ' '; // since 2.25
  QED_ExportType_Options_ExportEmpty = '  '; // since 2.6
  QED_ExportType_ExportAllRecords = ' ';
  QED_ExportType_Options_ExportRecCount = ' ';
  QED_ExportType_Options_SkipRecCount = '';
  QED_ExportType_Options_Records = '';

  QED_Tools = 'Tools'; // since 2.7
  QED_ExportType_Save = ' ...';
  QED_ExportType_Load = ' ...';

  QED_ExportType_Start = '& ';
  QED_ExportType_Close = '&';

  // Fields
  QED_Fields_Title = '';
  QED_Fields_Available = ' :';
  QED_Fields_Exported = ' :';
  QED_Fields_Add = '>';
  QED_Fields_AddAll = '>>';
  QED_Fields_Remove = '<';
  QED_Fields_RemoveAll = '<<';

  // Formats
  QED_Formats_Title = '';
  QED_Formats_Common = '';
  QED_Formats_Integer = '';
  QED_Formats_Float = '';
  QED_Formats_Date = '';
  QED_Formats_Time = '';
  QED_Formats_DateTime  = '  ';
  QED_Formats_Currency = '';
  QED_Formats_BooleanTrue = 'True ';
  QED_Formats_BooleanFalse = 'False ';
  QED_Formats_NullString = 'Null ';
  QED_Formats_User = ' ';
  QED_Formats_Add = '';
  QED_Formats_Edit = '';
  QED_Formats_Delete = '';
  QED_Formats_Clear = '';

  // Header & Footer
  QED_Header_Footer_Title = '  ';
  QED_Header_Footer_Header = ':';
  QED_Header_Footer_Footer = ':';

  // Captions
  QED_Captions_AllowCaptions = ' ';
  QED_Captions_Title = '&';
  QED_Captions_FeldName = ' ';
  QED_Captions_Caption = '';
  QED_Captions_Width = '';
  QED_Captions_Align = '';
  QED_Align_Left = ''; // since 2.25
  QED_Align_Right = ''; // since 2.25
  QED_Align_Center = ' '; // since 2.25
  QED_StringGrid_CaptionRow = ' '; //since 2.6

  // Word / RTF
  QED_RTF_Title = 'Word / RTF';
  QED_RTF_DefaultFont = ' ';
  QED_RTF_HeaderFont = ' ';
  QED_RTF_PageOrientation = '   ';

  // XML
  QED_XML_Title = 'XML ';
  QED_XML_Standalone = '';
  QED_XML_Encoding = '';

  // SQL
  QED_SQL_Title = '&SQL';
  QED_SQL_TableOptions = ' ';
  QED_SQL_AddCreateTable = ' "Create Table"';
  QED_SQL_TableName = ' ';
  QED_SQL_Commit = ' ';
  QED_SQL_CommitAfter_01 = '. ';
  QED_SQL_CommitAfter_02 = '';
  QED_SQL_CommitAfterScript = '  ';
  QED_SQL_CommitStatement = '';
  QED_SQL_Other = '';
  QED_SQL_NullAs = ' NULL ';
  QED_SQL_StatementTerm = '';

  // HTML
  QED_HTML_Title = '&HTML';
  QED_HTML_Preview_Title = '&';
  QED_HTML_Preview_DefaultText = ' ';
  QED_HTML_Preview_NonVisitedLink = '';
  QED_HTML_Preview_VisitedLink = '';
  QED_HTML_Preview_ActiveLink = '';
  QED_HTML_Preview_Template = '';
  QED_HTML_Preview_SaveTemplate = ' ...';
  QED_HTML_Preview_LoadTemplate = ' ...';

  QED_HTML_Basic_Title = '&';
  QED_HTML_Basic_PageTitle = '';
  QED_HTML_Basic_CSS = ' CSS';
  QED_HTML_Basic_CSSInternal = '';
  QED_HTML_Basic_CSSExternal = '';
  QED_HTML_Basic_CSSFileName = '  CSS';
  QED_HTML_Basic_OverwriteCSSFile = ' CSS '; // since 2.7

  QED_HTML_Multifile_Title = '&Multi-File'; // since 2.7
  QED_HTML_MultiFile_IndexLinkTemplate = 'Index Link Template'; // since 2.7

  QED_HTML_Basic_MultiFile_Options = ' ';
  QED_HTML_Basic_MultiFile_Use = ' ';
  QED_HTML_Basic_MultiFile_RecCount_01 = '';
  QED_HTML_Basic_MultiFile_RecCount_02 = '   ';
  QED_HTML_Basic_MultiFile_GenerateIndex = ' ';
  QED_HTML_Basic_MultiFile_Navigation = '  ';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnTop = '';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnBottom = '';  // since 2.7
  QED_HTML_Basic_MultiFile_IndexLinkTitle = '';  // since 2.7
  QED_HTML_Basic_MultiFile_FirstLinkTitle = '';  // since 2.7
  QED_HTML_Basic_MultiFile_PriorLinkTitle = '';  // since 2.7
  QED_HTML_Basic_MultiFile_NextLinkTitle = '';  // since 2.7
  QED_HTML_Basic_MultiFile_LastLinkTitle = '';  // since 2.7

  QED_HTML_Advanced_Title = '&';
  QED_HTML_Advanced_Body_Options = 'BODY';
  QED_HTML_Advanced_Body_FontName = '';
  QED_HTML_Advanced_Body_Background = '';
  QED_HTML_Advanced_Body_Attributes = '. .';
  QED_HTML_Advanced_Table_Options = '';
  QED_HTML_Advanced_Table_CellPadding = 'Cell padding';
  QED_HTML_Advanced_Table_CellSpasing = 'Cell spacing';
  QED_HTML_Advanced_Table_Border = '';
  QED_HTML_Advanced_Table_Background = ''; // since 2.7
  QED_HTML_Advanced_Table_Attributes = '. .';

  // XLS
  QED_XLS_Title = '&Excel';
  QED_XLS_Advanced_Title = '';
  QED_XLS_Page_Header = '. ';
  QED_XLS_Page_Footer = '. ';
  QED_XLS_Sheet_Title = ' ';
  QED_XLS_AutoCalcColWidth = 'Auto calculate column width'; // since 2.7

  QED_XLS_DataFormat_Title = ' ';

  QED_XLS_DataFormat_Fields = ''; // since 2.2
  QED_XLS_DataFormat_Options = ''; // since 2.2
  QED_XLS_DataFormat_Styles = ''; // since 2.2
  QED_XLS_DataFormat_Styles_Add = ' '; // since 2.2
  QED_XLS_DataFormat_Styles_Del = ' '; // since 2.2
  QED_XLS_DataFormat_Styles_Up = ' '; // since 2.2
  QED_XLS_DataFormat_Styles_Down = ' '; // since 2.2
  QED_XLS_DataFormat_Styles_Save = ' '; // since 2.2
  QED_XLS_DataFormat_Styles_Load = ' '; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Caption = ' '; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_None = ''; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Col = '.'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Row = '.'; // since 2.2

  QED_XLS_Reset_Item = '';
  QED_XLS_Reset_SelectedItems = '  ';
  QED_XLS_Reset_All = ' ';
  QED_XLS_Reset_All_Question_Caption = '!';
  QED_XLS_Reset_All_Question = '     ' +
                               #13#10 + ' ?';


  QED_XLS_SampleCell = '  ';

  QED_XLS_Header = '';
  QED_XLS_Caption = '';
  QED_XLS_Aggregate = '';
  QED_XLS_Footer = '';

  QED_XLS_StyleItem = '_'; // since 2.2

  QED_XLS_Font_Title = '&';
  QED_XLS_Font = '';
  QED_XLS_FontSize = '.';
  QED_XLS_Font_Color = ' ';
  QED_XLS_Font_Bold = '';
  QED_XLS_Font_Italic = '';
  QED_XLS_Font_StrikeOut = '';
  QED_XLS_Underline_Single = ' ';
  QED_XLS_Underline_Single_Accounting = '   ';
  QED_XLS_Underline_Double = ' ';
  QED_XLS_Underline_Double_Accounting = '   ';
  QED_XLS_Alignment_Horizontal_Left = '  ';
  QED_XLS_Alignment_Horizontal_Center = ' ';
  QED_XLS_Alignment_Horizontal_Right = '  ';
  QED_XLS_Alignment_Horizontal_Fill = ' ';
  QED_XLS_Alignment_Vertical_Top = '  ';
  QED_XLS_Alignment_Vertical_Center = ' ';
  QED_XLS_Alignment_Vertical_Bottom = '  ';

  QED_XLS_Borders_Title = '&';
  QED_XLS_Border_None = ''; // since 2.2
  QED_XLS_Border_Top = ' ';
  QED_XLS_Border_Top_Color = '  ';
  QED_XLS_Border_Bottom = ' ';
  QED_XLS_Border_Bottom_Color = '  ';
  QED_XLS_Border_Left = ' ';
  QED_XLS_Border_Left_Color = '  ';
  QED_XLS_Border_Right = ' ';
  QED_XLS_Border_Right_Color = '  ';

  QED_XLS_Fill_Title = '';
  QED_XLS_Fill_Background = ' ';
  QED_XLS_Fill_Pattern_None = '';
  QED_XLS_Fill_Foreground = ' ';

  QED_XLS_Aggregate_Title = '&';
  QED_XLS_Function = '';
  QED_XLS_Function_None = '';
  QED_XLS_Function_Sum = '';
  QED_XLS_Function_Avg = '';
  QED_XLS_Function_Min = '';
  QED_XLS_Function_Max = '';

  // ASCII
  QED_ASCII_Title = 'ASCII';
  QED_TXT_Title = ' TXT ';
  QED_TXT_AutoCalcColWidth = '  ';
  QED_TXT_Spacing = '';
  QED_CSV_Title = ' CSV ';
  QED_CSV_QuoteStrings = '';
  QED_CSV_Comma = '';
  QED_CSV_Quote = ''; // since 2.6

  //Access
  QED_Access_Title = 'Access'; // since 2.6
  QED_Access_TableOptions = ' '; // since 2.6
  QED_Access_TableName = ' '; // since 2.6
  QED_Access_CreateTable = ',   '; // since 2.6

  // PDF
  QED_PDF_Title = 'PDF'; // since 2.7
  QED_PDF_FontName = ''; // since 2.7
  QED_PDF_FontEncoding = ''; // since 2.7
  QED_PDF_FontSize = ''; // since 2.7
  QED_PDF_FontColor = ''; // since 2.7
  QED_PDF_Sample = ''; // since 2.7

  QED_PDF_GridOptions = ' '; // since 2.7
  QED_PDF_ColSpacing = 'Col Spacing'; // since 2.7
  QED_PDF_RowSpacing = 'Row Spacing'; // since 2.7
  QED_PDF_GridLineWidth = ' '; // since 2.7

  QED_PDF_PageOptions = ' '; // since 2.71
  QED_PDF_PageSize = ''; // since 2.71
  QED_PDF_PageWidth = ''; // since 2.71
  QED_PDF_PageHeight = ''; // since 2.71
  QED_PDF_PageUnits = '. '; // since 2.71
  QED_PDF_PageOrientation = ''; // since 2.71
  QED_PDF_Margins = ''; // since 2.71
  QED_PDF_MarginLeft = ''; // since 2.71
  QED_PDF_MarginRight = ''; // since 2.71
  QED_PDF_MarginTop = ''; // since 2.71
  QED_PDF_MarginBottom = ''; // since 2.71

  QED_PDF_HeaderFont = 'Header Font'; // since 2.7
  QED_PDF_CaptionFont = 'Caption Font'; // since 2.7
  QED_PDF_DataFont = 'Data Font'; // since 2.7
  QED_PDF_FooterFont = 'Footer Font'; // since 2.7

  // Progress
  QEDP_Caption = ' ...';
  QEDP_Status = '';
  QEDP_Time = '';
  QEDP_Speed = '';
  QEDP_Preparing = '...';
  QEDP_Skipping = '...';
  QEDP_Skipped = '';
  QEDP_Exporting = '...';
  QEDP_Exported = '';
  QEDP_Fetching = '...';
  QEDP_Fetched = '';
  QEDP_Pause = '';
  QEDP_Cancel = '';
  QEDP_OK = 'OK';
  QEDP_Aborted = '';
  QEDP_Finished = '';
  QEDP_RowsPerSec = '%d /';
  QEDP_TimeFormat = '::';

implementation

end.
