unit QExportConsts;

interface

resourcestring
  {$IFDEF WIN32}
  SMSExcelFilter = 'Microsoft Excel datoteke (*.xls)|*.xls';
  SMSAccessFilter = 'Microsoft Access datoteke (*.mdb)|*.mdb'; // since 2.6
  SMSWordFilter  = 'Microsoft Word datoteke (*.doc)|*.doc';
  SRTFFilter     = 'RTF datoteke (*.rtf)|*.rtf';
  SHTMLFilter    = 'HTML datoteke (*.html, *.htm)|*.html;*.htm';
  SPDFFilter     = 'PDF dokumenti (*pdf)|*.pdf'; // since 2.7
  STextFilter    = 'Text datoteke (*.txt)|*.txt';
  SXMLFilter     = 'XML datoteke (*.xml)|*.xml';
  SCSVFilter     = 'CSV datoteke (*.csv)|*.csv';
  SDIFFFilter    = 'DIF datoteke (*.dif)|*.dif';
  SSYLKFilter    = 'SYLK datoteke (*.slk)|*.slk';
  SLaTeXFilter   = 'LaTeX datoteke (*.tex)|*.tex';
  SSQLFilter     = 'SQL datoteke (*.sql)|*.sql';
  SDBFFilter     = 'DBF datoteke (*.dbf)|*.dbf';
  {$ENDIF}
  {$IFDEF LINUX}
  SMSExcelFilter = 'Microsoft Excel datoteke (*.xls)';
  SMSWordFilter  = 'Microsoft Word datoteke (*.doc)';
  SRTFFilter     = 'RTF datoteke (*.rtf)';
  SHTMLFilter    = 'HTML files (*.html;*.htm)';
  SPDFFilter     = 'PDF dokumenti (*pdf)'; // since 2.7
  STextFilter    = 'Text datoteke (*.txt)';
  SXMLFilter     = 'XML datoteke (*.xml)';
  SCSVFilter     = 'CSV datoteke (*.csv)';
  SDIFFFilter    = 'DIF datoteke (*.dif)';
  SSYLKFilter    = 'SYLK datoteke (*.slk)';
  SLaTeXFilter   = 'LaTeX datoteke (*.tex)';
  SSQLFilter     = 'SQL datoteke (*.sql)';
  SDBFFilter     = 'DBF datoteke (*.dbf)';
  {$ENDIF}

  QEM_ExportSourceNotAssigned = 'Izvozni vir (%s) ni doloen';
  QEM_DefineSheetError = 'List %s nastavljen z napako: %s';
  QEM_ExportSourceNotActive = 'Izvozni vir (%s) je zaprt';
  QEM_ExportSourceEmpty = 'Izvozni vir (%s) je prazen';
  QEM_AllowedExportsEmpty = 'Lastnost Dovoljeno ne sme biti prazna';
  QEM_StopExportCaption = 'Zagotovo ?';
  QEM_StopExportConfirm = 'eli prekiniti izvoz?';
  QEM_NewFormatValue = 'Nova vrednost formata';
  QEM_EnterValue     = 'Vstavi vrednost:';
  QEM_FileNotPresent = 'Ciljna datoteka ni prisotna';
  QEM_ExportAccessOleError = 'Instalirati in prijaviti mora MS Access aplikacijo';

  QEPF_Letter         = 'Letter'; // since 2.71
  QEPF_Legal          = 'Legal'; // since 2.71
  QEPF_A3             = 'A3'; // since 2.71
  QEPF_A4             = 'A4'; // since 2.71
  QEPF_A5             = 'A5'; // since 2.71
  QEPF_B5_JIS         = 'B5(JIS)'; // since 2.71
  QEPF_US_Std_Fanfold = 'US Std Fanfold'; // since 2.71
  QEPF_Fanfold        = 'Fanfold'; // since 2.71
  QEPF_User           = 'User'; // since 2.71

  QEUN_Inch       = 'Inches'; // since 2.71
  QEUN_Millimeter = 'Millimeters'; // since 2.71
  QEUN_Dot        = 'Dots'; // since 2.71

  QEPO_Portrait = 'Portret'; // since 2.71
  QEPO_Landscape = 'Panoramska'; // since 2.71

  QED_Title = 'Izvozni dialog';
  QED_AdvancedTitle = 'Izvozni dialog -- izvoz v [%s]';
  QED_CloseButtonCaption = '&Zapri';
  QED_ExportTitle = 'Izvaanje...';
  QED_CancelButtonCaption = 'Pre&kini';
  QED_FileName = 'Ciljna datoteka';
  QED_SelectFile = 'Izberi...';
  QED_OpenAfterExport = 'Odpri datoteko po izvozu';
  QED_PrintAfterExport = 'Tiskaj datoteko po izvozu';

  // Export Type
  QED_ExportType_Title = 'Izvoz &Tipa';
  QED_ExportType_Formats = ' &Formati';
  QED_ExportType_ExportTo = ' Izvoz v ';
  QED_ExportType_XLS = 'MS Excel';
  QED_ExportType_Access = 'MS Access'; // since 2.6
  QED_ExportType_DOC = 'MS Word';
  QED_ExportType_RTF = 'RTF';
  QED_ExportType_HTML = 'HTML';
  QED_ExportType_PDF = 'PDF'; // since 2.7
  QED_ExportType_TXT = 'Tekstovno datoteko';
  QED_ExportType_XML = 'XML';
  QED_ExportType_DBF = 'DBF';
  QED_ExportType_CSV = 'CSV datoteko';
  QED_ExportType_DIFF = 'DIF datoteko';
  QED_ExportType_SYLK = 'SYLK datoteko';
  QED_ExportType_LaTeX = 'LaTeX';
  QED_ExportType_SQL = 'SQL';
  QED_ExportType_Clipboard = 'Windows odloie';

  QED_ExportType_Options = 'M&onosti';
  QED_ExportType_Constraints = ' Omejitve ';
  QED_ExportType_Options_GoToFirstRecord = 'Pojdi na prvi zapis';
  QED_ExportType_Options_CurrentRecordOnly = 'Samo trenutni zapis'; // since 2.25
  QED_ExportType_Options_ExportEmpty = 'Dovoli izvoz praznega izvora'; // since 2.6
  QED_ExportType_ExportAllRecords = 'Izvozi vse podatke';
  QED_ExportType_Options_ExportRecCount = 'Samo izvoz';
  QED_ExportType_Options_SkipRecCount = 'Preskoi';
  QED_ExportType_Options_Records = 'zapisov';

  QED_Tools = 'Orodja'; // since 2.7
  QED_ExportType_Save = 'Shrani izvozne monosti...';
  QED_ExportType_Load = 'Naloi izvozne monosti...';

  QED_ExportType_Start = '&Start izvoza';
  QED_ExportType_Close = '&Zapri';

  // Fields
  QED_Fields_Title = 'Po&lja';
  QED_Fields_Available = 'Razpololjiva polja:';
  QED_Fields_Exported = 'Izvoena polja:';
  QED_Fields_Add = '>';
  QED_Fields_AddAll = '>>';
  QED_Fields_Remove = '<';
  QED_Fields_RemoveAll = '<<';

  // Formats
  QED_Formats_Title = '&Formati';
  QED_Formats_Common = 'Privzeto';
  QED_Formats_Integer = 'Integer Format';
  QED_Formats_Float = 'Float Format';
  QED_Formats_Date = 'Datumski Format';
  QED_Formats_Time = 'asovni Format';
  QED_Formats_DateTime  = 'asUra Format';
  QED_Formats_Currency = 'Zneskovni Format';
  QED_Formats_BooleanTrue = 'Boolean true';
  QED_Formats_BooleanFalse = 'Boolean false';
  QED_Formats_NullString = 'Null string';
  QED_Formats_User = 'Uporabnik';
  QED_Formats_Add = 'Dodaj';
  QED_Formats_Edit = 'Uredi';
  QED_Formats_Delete = 'Brii';
  QED_Formats_Clear = 'Sprazni';

  // Header & Footer
  QED_Header_Footer_Title = 'Gl&ava && Noga';
  QED_Header_Footer_Header = 'Tekst glave:';
  QED_Header_Footer_Footer = 'Tekst vznoja:';

  // Captions
  QED_Captions_AllowCaptions = 'Dovoli opise';  // ALLOW CAPTIONS
  QED_Captions_Title = '&Opisi';
  QED_Captions_FeldName = 'Ime polja';
  QED_Captions_Caption = 'Opis';
  QED_Captions_Width = 'i&rina';
  QED_Captions_Align = 'Poravnava';
  QED_Align_Left = 'Levo'; // since 2.25
  QED_Align_Right = 'Desno'; // since 2.25
  QED_Align_Center = 'Center'; // since 2.25
  QED_StringGrid_CaptionRow = 'Opis kolone'; //since 2.6

  // Word / RTF
  QED_RTF_Title = '&Word / RTF Monosti';
  QED_RTF_DefaultFont = 'Privzeta pisava';
  QED_RTF_HeaderFont = 'Pisava glave vrste';
  QED_RTF_PageOrientation = ' Orientacija strani ';

  // XML
  QED_XML_Title = 'XML Monosti';
  QED_XML_Standalone = 'Samostojen';
  QED_XML_Encoding = 'Opisan';  // Encoding';

  // SQL
  QED_SQL_Title = '&SQL Monosti';
  QED_SQL_TableOptions = 'Monosti tabele';
  QED_SQL_AddCreateTable = 'Dodaj "Create Table" stavek';
  QED_SQL_TableName = 'Ime tabele';
  QED_SQL_Commit = 'Commit monosti';
  QED_SQL_CommitAfter_01 = 'Commit po';
  QED_SQL_CommitAfter_02 = 'zapisih';
  QED_SQL_CommitAfterScript = 'Commit po skriptu';
  QED_SQL_CommitStatement = 'Commit stavek';
  QED_SQL_Other = 'Druge monosti';
  QED_SQL_NullAs = 'Izvoz null vrednosti kot';
  QED_SQL_StatementTerm = 'Statement pogoj';

  // HTML
  QED_HTML_Title = '&HTML Monosti';
  QED_HTML_Preview_Title = '&Predogled';
  QED_HTML_Preview_DefaultText = 'Privzeti tekst';
  QED_HTML_Preview_NonVisitedLink = 'Neobiskana povezava';
  QED_HTML_Preview_VisitedLink = 'Obiskana povezava';
  QED_HTML_Preview_ActiveLink = 'Aktivna povezava';
  QED_HTML_Preview_Template = 'Predloga';
  QED_HTML_Preview_SaveTemplate = 'Shrani kot predlogo...';
  QED_HTML_Preview_LoadTemplate = 'Naloi predlogo...';

  QED_HTML_Basic_Title = 'O&snovno';
  QED_HTML_Basic_PageTitle = 'Naslov';
  QED_HTML_Basic_CSS = 'Listi kaskadnega stila uporabljajo';
  QED_HTML_Basic_CSSInternal = 'Interno';
  QED_HTML_Basic_CSSExternal = 'Externo';
  QED_HTML_Basic_CSSFileName = 'Ime CSS datoteke';
  QED_HTML_Basic_OverwriteCSSFile = 'Prepii CSS datoteko, e obstaja'; // since 2.7

  QED_HTML_Multifile_Title = 'V&e datotek'; // since 2.7
  QED_HTML_MultiFile_IndexLinkTemplate = 'Vzorec Indeksne povezave'; // since 2.7

  QED_HTML_Basic_MultiFile_Options = 'Izvoz ve datotek';
  QED_HTML_Basic_MultiFile_Use = 'Uporabi izvoz ve datotek';
  QED_HTML_Basic_MultiFile_RecCount_01 = 'Najve';
  QED_HTML_Basic_MultiFile_RecCount_02 = 'zapisov v eni datoteki';
  QED_HTML_Basic_MultiFile_GenerateIndex = 'Ustvari indeks';
  QED_HTML_Basic_MultiFile_Navigation = ' Navigacija ';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnTop = 'Na vrh';  // since 2.7
  QED_HTML_Basic_MultiFile_Navigation_OnBottom = 'Na dno';  // since 2.7
  QED_HTML_Basic_MultiFile_IndexLinkTitle = 'Indeks';  // since 2.7
  QED_HTML_Basic_MultiFile_FirstLinkTitle = 'Prvi';  // since 2.7
  QED_HTML_Basic_MultiFile_PriorLinkTitle = 'Prejnji';  // since 2.7
  QED_HTML_Basic_MultiFile_NextLinkTitle = 'Naslednji';  // since 2.7
  QED_HTML_Basic_MultiFile_LastLinkTitle = 'Zadnji';  // since 2.7

  QED_HTML_Advanced_Title = 'N&apredno';
  QED_HTML_Advanced_Body_Options = 'Monosti telesa';
  QED_HTML_Advanced_Body_FontName = 'Ime pisave';
  QED_HTML_Advanced_Body_Background = 'Ozadje';
  QED_HTML_Advanced_Body_Attributes = 'Napredni atributi';
  QED_HTML_Advanced_Table_Options = 'Monosti tabele';
  QED_HTML_Advanced_Table_CellPadding = 'Poravnava celice';
  QED_HTML_Advanced_Table_CellSpasing = 'Razmik med celicami';
  QED_HTML_Advanced_Table_Border = 'Meja';
  QED_HTML_Advanced_Table_Background = 'Ozadje'; // since 2.7
  QED_HTML_Advanced_Table_Attributes = 'Napredi atributi';

  // XLS
  QED_XLS_Title = '&Excel Monosti';
  QED_XLS_Advanced_Title = 'Napre&dno';
  QED_XLS_Page_Header = 'Glava strani';
  QED_XLS_Page_Footer = 'Vznoje strani';
  QED_XLS_Sheet_Title = 'Naslov lista';
  QED_XLS_AutoCalcColWidth = 'Samodejni preraun irine kolon'; // since 2.7

  QED_XLS_DataFormat_Title = 'Po&datkovni format';

  QED_XLS_DataFormat_Fields = 'Polja'; // since 2.2
  QED_XLS_DataFormat_Options = 'Monosti'; // since 2.2
  QED_XLS_DataFormat_Styles = 'Stili'; // since 2.2
  QED_XLS_DataFormat_Styles_Add = 'Dodaj stil'; // since 2.2
  QED_XLS_DataFormat_Styles_Del = 'Brii stil'; // since 2.2
  QED_XLS_DataFormat_Styles_Up = 'Pomik gor'; // since 2.2
  QED_XLS_DataFormat_Styles_Down = 'Pomik dol'; // since 2.2
  QED_XLS_DataFormat_Styles_Save = 'Shrani stil'; // since 2.2
  QED_XLS_DataFormat_Styles_Load = 'Naloi stil'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Caption = 'Odstrani stil'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_None = 'Brez'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Col = 'Kol'; // since 2.2
  QED_XLS_DataFormat_Styles_StripStyle_Row = 'Vrsta'; // since 2.2

  QED_XLS_Reset_Item = 'Ponastavi eno';
  QED_XLS_Reset_SelectedItems = 'Ponastavi izbrane';
  QED_XLS_Reset_All = 'Ponastavi vse';
  QED_XLS_Reset_All_Question_Caption = 'Pozor!';
  QED_XLS_Reset_All_Question = 'Vsi formati polj bodo nastavljeni ' +
                               'na privzete vrednosti.' +
                               #13#10 + 'eli nadaljevati?';

  QED_XLS_SampleCell = '  Primer celice';

  QED_XLS_Header = 'GLAVA';
  QED_XLS_Caption = 'OPIS';
  QED_XLS_Aggregate = 'ZBIRNIK';
  QED_XLS_Footer = 'VZNOJE';

  QED_XLS_StyleItem = 'ITEM_'; // since 2.2

  QED_XLS_Font_Title = 'P&isava';
  QED_XLS_Font = 'Pisava';
  QED_XLS_FontSize = 'Velikost';
  QED_XLS_Font_Color = 'Barva pisave';
  QED_XLS_Font_Bold = 'Krepko';
  QED_XLS_Font_Italic = 'Leee';
  QED_XLS_Font_StrikeOut = 'Prertano';
  QED_XLS_Underline_Single = 'Podrtano enkrat';
  QED_XLS_Underline_Single_Accounting = 'Podrtano enkrat raunsko';
  QED_XLS_Underline_Double = 'Podrtano dvojno';
  QED_XLS_Underline_Double_Accounting = 'Podrtano dvakrat raunsko';
  QED_XLS_Alignment_Horizontal_Left = 'Levo';
  QED_XLS_Alignment_Horizontal_Center = 'Center';
  QED_XLS_Alignment_Horizontal_Right = 'Desno';
  QED_XLS_Alignment_Horizontal_Fill = 'Napolni';
  QED_XLS_Alignment_Vertical_Top = 'Na vrh';
  QED_XLS_Alignment_Vertical_Center = 'Center';
  QED_XLS_Alignment_Vertical_Bottom = 'Na dno';

  QED_XLS_Borders_Title = 'M&eje';
  QED_XLS_Border_None = 'Brez'; // since 2.2
  QED_XLS_Border_Top = 'Meja vrh';
  QED_XLS_Border_Top_Color = 'Barva meje na vrhu';
  QED_XLS_Border_Bottom = 'Barva meje na dnu';
  QED_XLS_Border_Bottom_Color = 'Barva dna';
  QED_XLS_Border_Left = 'Leva meja';
  QED_XLS_Border_Left_Color = 'Barva leve meje';
  QED_XLS_Border_Right = 'Desna meja';
  QED_XLS_Border_Right_Color = 'Barva desne meje';

  QED_XLS_Fill_Title = 'Napoln&i';
  QED_XLS_Fill_Background = 'Barva ozadja';
  QED_XLS_Fill_Pattern_None = 'Brez';
  QED_XLS_Fill_Foreground = 'Barva ospredja';

  QED_XLS_Aggregate_Title = 'Kumul&ativa';
  QED_XLS_Function = 'Kumulativa';
  QED_XLS_Function_None = 'Brez';
  QED_XLS_Function_Sum = 'SUM';
  QED_XLS_Function_Avg = 'AVG';
  QED_XLS_Function_Min = 'MIN';
  QED_XLS_Function_Max = 'MAX';

  // ASCII
  QED_ASCII_Title = 'ASCII Monosti';
  QED_TXT_Title = ' TXT Monosti ';
  QED_TXT_AutoCalcColWidth = 'Izraunaj irino kolone';
  QED_TXT_Spacing = 'Razmik med kolonami';
  QED_CSV_Title = ' CSV Monosti ';
  QED_CSV_QuoteStrings = 'Nizi za navajanje';
  QED_CSV_Comma = 'Vejica';
  QED_CSV_Quote = 'Navedba'; // since 2.6

  // Access
  QED_Access_Title = 'Access Monosti'; // since 2.6
  QED_Access_TableOptions = 'Monosti tabele'; // since 2.6
  QED_Access_TableName = 'Ime tabele'; // since 2.6
  QED_Access_CreateTable = 'Ustvari tabelo, e ne obstoja'; // since 2.6

  // PDF
  QED_PDF_Title = 'PDF Monosti'; // since 2.7
  QED_PDF_FontName = 'Ime pisave'; // since 2.7
  QED_PDF_FontEncoding = 'Kodiranje pisave'; // since 2.7
  QED_PDF_FontSize = 'Velikost pisave'; // since 2.7
  QED_PDF_FontColor = 'Barva pisave'; // since 2.7
  QED_PDF_Sample = 'Vzorec'; // since 2.7

  QED_PDF_GridOptions = 'Monosti Grida'; // since 2.7
  QED_PDF_ColSpacing = 'Razmak med kolonami'; // since 2.7
  QED_PDF_RowSpacing = 'Razmak med vrstami'; // since 2.7
  QED_PDF_GridLineWidth = 'irina vrste Grida'; // since 2.7

  QED_PDF_PageOptions = 'Page Options'; // since 2.71
  QED_PDF_PageSize = 'Page Size'; // since 2.71
  QED_PDF_PageWidth = 'Width'; // since 2.71
  QED_PDF_PageHeight = 'Height'; // since 2.71
  QED_PDF_PageUnits = 'Units'; // since 2.71
  QED_PDF_PageOrientation = 'Page Orientation'; // since 2.71
  QED_PDF_Margins = 'Margins'; // since 2.71
  QED_PDF_MarginLeft = 'Left'; // since 2.71
  QED_PDF_MarginRight = 'Right'; // since 2.71
  QED_PDF_MarginTop = 'Top'; // since 2.71
  QED_PDF_MarginBottom = 'Bottom'; // since 2.71

  QED_PDF_HeaderFont = 'Pisava glave'; // since 2.7
  QED_PDF_CaptionFont = 'Pisava '; // since 2.7
  QED_PDF_DataFont = 'Pisava podatkov'; // since 2.7
  QED_PDF_FooterFont = 'Pisava vznoja'; // since 2.7

  // Progress
  QEDP_Caption = 'Izvaam...';
  QEDP_Status = 'Status';
  QEDP_Time = 'as';
  QEDP_Speed = 'Hitrost';
  QEDP_Preparing = 'Priprava...';
  QEDP_Skipping = 'Preskok...';
  QEDP_Skipped = 'Preskoeno';
  QEDP_Exporting = 'Izvaam...';
  QEDP_Exported = 'izvoeno';
  QEDP_Fetching = 'Ujemam...';
  QEDP_Fetched = 'Ujeto';
  QEDP_Pause = 'Premor';
  QEDP_Cancel = 'Prekini';
  QEDP_OK = 'OK';
  QEDP_Aborted = 'Prekinjeno';
  QEDP_Finished = 'Konano';
  QEDP_RowsPerSec = '%d vrst/sekundo';
  QEDP_TimeFormat = 'h:nn:ss';

implementation

end.
